Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 62197

Summary: Ebuild request for open-xchange
Product: Gentoo Linux Reporter: vanne <yvan>
Component: New packagesAssignee: Tiziano Müller <dev-zero>
Status: RESOLVED WONTFIX    
Severity: enhancement CC: azarah, bass, bugzilla.gentoo, cchan, corey_s, crimson, eittmann, eldad, eradicator, freigeist, gentoo-bugzilla, gentoo, gentoo, jens, jgonzalez.openinput, jlambert, joseph.r.smith, josiah.ritchie, jwarren, kai.bugs.gentoo.org, m.debruijne, mail, Mark, martin.nowack, me, miguel.gimenez, mike, net-mail, philantrop, skoty.olpe, stas, steeeeeveee, tobler_pc, tschenturs, wh7kfbv02, wltjr
Priority: High Keywords: EBUILD
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: open-xchange-0.7.0.ebuild
open-xchange-0.7.0.ebuild
open-xchange-0.7.0.ebuild
makefile-in-and-am-fix.patch
open-xchange-0.7.0.ebuild
${FILESDIR}/Makefile.am
open-xchange-0.7.0.ebuild
0.7.0-makefile.patch
open-xchange-0.7.0.ebuild
open-xchange-0.7.1.ebuild
0.7.0-Makefile.am.patch
open-xchange-0.7.1.ebuild
${FILESDIR}/init_db.sql
${FILESDIR}/postinstall-en.txt
${FILESDIR}/web.xml
${FILESDIR}/ldap_ox.include
${FILESDIR}/reconfig
open-xchange-0.7.1.ebuild
open-xchange-0.7.1.ebuild
open-xchange-0.7.2.ebuild
Ebuild for open-xchange-0.7.3
Find error in build.xml.in file
open-xchange-0.7.4.ebuild
open-xchange-0.7.5.ebuild
open-xchange-0.7.5-r1.ebuild
new open-xchange-ebuild for 0.8.0_beta3
open-xchange-0.8.0-r0.ebuild
open-xchange-0.8.0-r1.ebuild
open-xchange-0.8.0-r1.ebuild
open-xchange-0.8.0-r1.ebuild
open-xchange-0.8.0-r2
open-xchange-0.8.0-r2.ebuild
Open-Xchange init
open-xchange-0.8.0-r3.ebuild
open-xchange-0.8.0-r3.ebuild
open-xchange-0.8.0-r4.ebuild
new open-xchange-ebuild
{$FILESDIR}/open-xchange
open-xchange-0.8.1.ebuild
open-xchange-0.8.1.ebuild
open-xchange-0.8.1.ebuild
open-xchange-0.8.1.ebuild
open-xchange-0.8.1-r1.ebuild
open-xchange-0.8.1-r1.ebuild
open-xchange-0.8.1.1.ebuild
open-xchange-0.8.1.1.ebuild
open-xchange-0.8.1.1.ebuild
open-xchange-0.8.1.1.ebuild
open-xchange-0.8.1.1.ebuild
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
files/init.d.open-xchange
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
files/init.d.open-xchange
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
${FILESDIR}/88_mod_jk.ox.conf
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
.htaccess
${FILESDIR}/slapd.ox.inc.in
open-xchange-0.8.1.2.ebuild
${FILESDIR}/slapd.ox.inc.in
open-xchange-0.8.1.2.ebuild
open-xchange-0.8.1.2.ebuild
slapd.ox.inc
${FILESDIR}/login.pm.in.patch
patch for open-xchange
open-xchange-0.8.1.3.ebuild.patch
/etc/init.d/openexchange in gentoo style
open-xchange-0.8.1.4.ebuild
open-xchange-0.8.1.6.ebuild
${FILESDIR}/ox_project.sql
open-xchange-0.8.2_rc2.ebuild
open-xchange-0.8.2_rc2-mysql.patch
init.d.open-xchange
open-xchange-0.8.2_rc2-r1
open-xchange-0.8.2_rc3-mysql.patch
open-xchange-0.8.2_rc3.ebuild
open-xchange-0.8.2_rc3-r1.ebuild
open-xchange-0.8.2_rc3-mysql.patch
open-xchange-0.8.2_rc3-r1.ebuild
open-xchange-0.8.2_rc3-r1.ebuild
open-xchange-0.8.2.ebuild
open-xchange-0.8.2-mysql.patch
open-xchange-0.8.2.ebuild
open-xchange-0.8.2-mysql.patch
open-xchange-0.8.2-mysql-2.patch
open-xchange-0.8.2-sieve.patch
open-xchange-0.8.2-r1.ebuild
open-xchange-0.8.2_p1.ebuild
ox_reminder.sql
open-xchange-htaccess
emergeInfo for open-xchange-serverpack issue

Description vanne 2004-08-30 02:02:02 UTC
I guess lots of people would like to see an ebuild for open-exchange.
TIA

http://mirror.open-xchange.org/ox/EN/community/download.htm

Reproducible: Always
Steps to Reproduce:
Comment 1 Jason Short 2004-08-30 12:51:50 UTC
Created attachment 38529 [details]
open-xchange-0.7.0.ebuild

this is a VERY ROUGH ebuild, and needs much work yet, but it should have full
DEPENDs and good econf exapmles
Comment 2 gOA-pSY 2004-09-01 02:37:39 UTC
the dependency for dev-java/jdom is missing in the ebuild and there are some more error messages:

...

/var/tmp/portage/open-xchange-0.7.0/work/open-xchange.0.7.0/missing: Unknown `--run' option
Try `/var/tmp/portage/open-xchange-0.7.0/work/open-xchange.0.7.0/missing --help' for more information
configure: WARNING: `missing' script is too old or missing

...

compile:
    [javac] Compiling 1 source file

BUILD SUCCESSFUL
Total time: 4 seconds
configure: WARNING: it seems that the database can not be reached ... maybe the application will not work as expected

...

config.status: executing depfiles commands
/usr/sbin/ebuild.sh: line 61: --enable-webdav: command not found

!!! ERROR: net-misc/open-xchange-0.7.0 failed.
!!! Function src_compile, Line 63, Exitcode 127
!!! (no error message)
Comment 3 vanne 2004-09-01 02:47:01 UTC
> config.status: executing depfiles commands
> /usr/sbin/ebuild.sh: line 61: --enable-webdav: command not found

there is a \ missing on line 60
(not that adding it fixes building for me)
Comment 4 Brian Friday 2004-09-01 09:05:43 UTC
Created attachment 38692 [details]
open-xchange-0.7.0.ebuild

Updated Ebuild which does the following:

1) Jdom is correctly in there as a "optional" depend and has an IUSE flag
(though configure warns if it isn't used).
2) Changed the "postgres" IUSE flag to be "postgres" as I believe thats the
correct terminology
3) Changed the default database order. Upstream uses PostgreSQL as the default
database and while they support mysql I thought it better for us to default to
what the ./configure included with the package defaults to.
4) I've changed the runuid to the user "apache" not sure if this is prudent or
if it should be changed to the user "tomcat"
5) I've moved the mysql stuff to the use mysql && line since it needs to be
added in only if we use mysql. 
6) Moved the postgres stuff to the use postgres && line since it should only be
added in based on the db we choose.

I'm still erroring out with the following so this build at least for me isn't
working yet. I figure this error is due to some loss of ENV but can't figure
out how or why yet.

checking for an ANSI C-conforming const... yes
** WebDAV enabled per user request
checking sys/socket.h usability... no
checking sys/socket.h presence... no
checking for sys/socket.h... no
configure: error: sys/socket.h should be there ...

!!! ERROR: net-mail/open-xchange-0.7.0 failed.
!!! Function econf, Line 362, Exitcode 1
!!! econf failed
Comment 5 Brian Friday 2004-09-01 10:46:59 UTC
Comment on attachment 38692 [details]
open-xchange-0.7.0.ebuild

obsolete jdbc2 shouldn't be used with java 1.4+
Comment 6 Brian Friday 2004-09-01 10:51:45 UTC
Created attachment 38693 [details]
open-xchange-0.7.0.ebuild

Changed back to -x86 since don't want people testing this without looking at
it...

Based on comment by Eirik Engevik fixed my mistake of using jdbc2-postgresql
rather than jdbc3-postgresql which should be used with java 1.4+

Things to do:

socket.h error still halting further development
deal with servlet/htdocsdir/cgibindir in some method that is webapp-config
compatible?
Comment 7 eirik 2004-09-01 12:44:47 UTC
OK, I managed to get past socket.h error.
There is an error in the ebuild:
--with-jni-dir=${ROOT}/opt/sun-jdk-1.4.2.05/include/jni.h \

should be replace with:
--with-jni-dir=${ROOT}/opt/sun-jdk-1.4.2.05/include \

since we are only pointing to the directory and not to the file itself.

One problem down and an other pops up.
The compilation no stops with:
Error: Class com.openexchange.ssl.SSLCtx could not be found
Comment 8 Brian Friday 2004-09-01 14:07:24 UTC
Created attachment 38705 [details, diff]
makefile-in-and-am-fix.patch

This doesn't fix the:

/usr/bin/ant -f ../build.xml
/opt/sun-jdk-1.4.2.05/bin/javah -jni -classpath ../lib/comfiretools.jar -o
../src/misc/ssl/com_openexchange_ssl_SSLCtx.h com.openexchange.ssl.SSLCtx
Error: Class com.openexchange.ssl.SSLCtx could not be found.
make[1]: *** [misc] Error 15
make[1]: *** Waiting for unfinished jobs....
Buildfile: ../build.xml


Error but it does fix another problem upstream. Passing this on here because
this effects the file we are having a problem with. Maybe there are some other
"openchange" that should be "openexchange"?
Comment 9 Tuan Van (RETIRED) gentoo-dev 2004-09-01 14:18:00 UTC
Created attachment 38708 [details]
open-xchange-0.7.0.ebuild

OK. I got this ebuild compiled. The ${FILESDIR}/Makefile.am will follow.
TODO:
change /etc/init.d/* to Gentoo specifics.
docs.
...
Comment 10 Tuan Van (RETIRED) gentoo-dev 2004-09-01 14:19:13 UTC
Created attachment 38710 [details]
${FILESDIR}/Makefile.am

very hackhish but works :)
Comment 11 Brian Friday 2004-09-02 14:55:51 UTC
Created attachment 38778 [details]
open-xchange-0.7.0.ebuild

Okay here is a new ebuild I've merged what Tuan has in his ebuild. I've
continued to keep some of the specific stuff in the old ebuild as I think its
needed. Also Tuan was missing some depends specifically jdom.
Comment 12 Brian Friday 2004-09-02 15:04:35 UTC
Created attachment 38779 [details, diff]
0.7.0-makefile.patch

Included is a patch which include my type edits and the new Makefile.am from
Tuan.

Things we need to worry about though is our LDAP dependancy since it looks like
for ldap you need to have ACI enabled. 

Haven't done anything on the /etc/init.d/'s or the other files actual placement
but this thing builds just fine for me now gonna try and test it....
Comment 13 Brian Friday 2004-09-02 20:49:50 UTC
Created attachment 38793 [details]
open-xchange-0.7.0.ebuild

Okay fixed a typo with the use ssl line in the ebuild.

This builds without ssl fine but errors out when ssl is enabled. I've narrowed
the issue down to ant not running correctly when it builds. Ant is supposed to
create a number of files within the src/misc/ssl directory but it doesn't thus
the error. This does build by hand just fine.

Anyone have ANT experience that could look at this?
Comment 14 Stephan Diederich 2004-09-02 23:38:04 UTC
the ebuild from #13 has tomcat in rdepend, why that?
Maybe you could check for the apache use flag, if it isnt present, use tomcat, else use apache
Comment 15 Brian Friday 2004-09-03 12:18:32 UTC
Created attachment 38831 [details]
open-xchange-0.7.1.ebuild

Okay lots of nasty hacks in this, many thanks to langthang on #open-xchange
freenode for help in debugging, offering advice etc

1) DEPENDS/RDEPENDS changes: Removed all the Perl stuff as it should be pulled
in by our RDEPEND on perl-ldap. Moved RDEPEND on tomcat5 to DEPEND since thats
where we get our servlet-api.jar. MySQL is NOT supported, so it has been
removed from the ebuild completely.
2) We've moved tomcat to the depend as we need it for servlet rather than
rdepend. If/when the mod_jk2 thing comes into portage we can look at it again
(to answer post 14)
3) SSL support is still broken not sure why but its manually disabled until we
can fix it.
4) We had to hack the Makefile.am pretty heavily to get it to correctly place
everything that it wanted to put in /etc, /var/lib, and /usr/share to
/etc/open-xchange, /var/lib/open-xchange, and /usr/share/open-xchange. I don't
know if how badly this breaks a working system but this installs

Once built concerns
1) We've had to do massive and I do mean massive changes to Makefile.am which
might effect build time default locations for files. I've not got this up and
running myself so I don't know if there was any problems or not. YMMV if you
have problems let us know but please test.
2) OpenLDAP needs to have --enable-aci enabled at compile time currently only
OpenLDAP 2.2.14 supports this in portage so unless you hack the
OpenLDAP-2.1.30-r3.ebuild to include --enable-aci YMMV and this may create
other bugs 

TO DO:

1) /etc/init.d scripts need to be gentooized
2) Need to verify the hacking of the Makefile.am didn't hurt something massive
in the build itself
3) Detailed walkthrough of how to install this and get it up and running.
Comment 16 Brian Friday 2004-09-03 12:20:20 UTC
Created attachment 38832 [details, diff]
0.7.0-Makefile.am.patch

New Makefile patch

1) need to make this cleaner
2) need to push the sysconfdir, datadir, etc things upstream so we don't have
to patch
Comment 17 Karl Trygve Kalleberg (RETIRED) gentoo-dev 2004-09-03 14:26:54 UTC
The actual name of the jar file in /usr/share/<package/lib/ is incidental.

I highly suggest using java-config -p <package> to obtain the path to the jar files.

--with-mailjar=${ROOT}/usr/share/sun-javamail-bin/lib/mail.jar \
--with-activationjar=${ROOT}/usr/share/sun-jaf-bin/lib/activation.jar \
--with-xercesjar=${ROOT}/usr/share/xerces-2/lib/xercesImpl.jar \
--with-jsdkjar=${ROOT}/opt/tomcat5/common/lib/servlet-api.jar

In the same vein, I highly suggest the dependencies be properly versioned.

>=dev-java/servletapi-2.4 or something, and similar for the other deps.
Comment 18 Tuan Van (RETIRED) gentoo-dev 2004-09-03 14:37:53 UTC
Karl, when `java-config -p <package>` return 'path/to/foo.jar:/path/to/bar.jar' ox's configure script will fail. Is there a way to fix it?
Comment 19 Karl Trygve Kalleberg (RETIRED) gentoo-dev 2004-09-03 14:40:54 UTC
Also, it does not make sense to have IUSE="postgres .." if it's to be forced on
anyway.

If it plain requires postgresql just have a hard dependency. If it can take either postgresql or mysql, but requires one, use something like:

DEPEND="postgres? ( dev-java/jdbc3-postgresql) mysql? ( dev-java/connectorj ) !postgres? ( !mysql ( <default of the two> ) )"
Comment 20 Karl Trygve Kalleberg (RETIRED) gentoo-dev 2004-09-03 14:42:31 UTC
If a package provides multiple jar files, no, there's no way around that, I'm
afraid. You could argue that we should repackage every ebuild to only install
_one_ jar file that's the final result.

I suggest rather fixing the ox configure script instead.
Comment 21 Tuan Van (RETIRED) gentoo-dev 2004-09-03 15:58:36 UTC
before you `/etc/init.d/openexchange start`, make sure that
/usr/bin/openexchange-sessiond
/usr/bin/openexchange-groupware
/usr/bin/openexchange-webmail
have $(java-config -p open-xchange) in classpath. The detected default don't work with Gentoo. Patches?
Comment 22 Leonardo Di Lella 2004-09-04 07:29:54 UTC
Created attachment 38907 [details]
open-xchange-0.7.1.ebuild

This one is a working ebuild. I decided to include an automatically
configuration script (reconfig) to make configuration easier for gentoo user.
There are some things to do:

1. It should be good to code helper eclass for ldap and tomcat, to support the
possibility to add automatically new ldap suffixes and new tomcat web
applications. This could looks like the webapp one, that add automatically new
web applications for apache.

2. open-xchange needs ACI support. The newer openldap version 2.2.14 has this
build in. For the beginning user can add --enable-aci flag to the actual
openldap ebuild.

3. The "reconfig" doesnt automate ldap config

4. I decide to install the OX in the /opt directory, because I dont know where
to copy (copy) class. Btw, tomcat is also installed in the /opt directory.
Comment 23 Leonardo Di Lella 2004-09-04 07:31:26 UTC
Created attachment 38908 [details]
${FILESDIR}/init_db.sql

initialization script needed for postgresql
Comment 24 Leonardo Di Lella 2004-09-04 07:32:28 UTC
Created attachment 38909 [details]
${FILESDIR}/postinstall-en.txt

Information shown after installation
Comment 25 Leonardo Di Lella 2004-09-04 07:33:29 UTC
Created attachment 38910 [details]
${FILESDIR}/web.xml

web.xml needed for tomcat
Comment 26 Leonardo Di Lella 2004-09-04 07:34:30 UTC
Created attachment 38911 [details]
${FILESDIR}/ldap_ox.include

add the open-xchange ldap suffixes in the current openldap config
Comment 27 Leonardo Di Lella 2004-09-04 07:36:34 UTC
Created attachment 38912 [details]
${FILESDIR}/reconfig

reconfig is the script that will be executed from webapp after merge and after
unmerge. This one is for automatically configuration. The LDAP stuff needs to
be rewrite, have some problems with that.
Comment 28 Leonardo Di Lella 2004-09-04 07:51:28 UTC
For the open-xchange server you need the mod-jk2 (tomcat connector). Ive submitted a possible ebuild on the gentoo bugzilla server.

http://bugs.gentoo.org/show_bug.cgi?id=62598
Comment 29 eirik 2004-09-04 08:24:53 UTC
Dos it matter if you use mod_jk in stead of mod_jk2?

The reason for this is that not everyone is using Apache2. Many users are still using Apache1 and therefore need to use mod_jk.
Comment 30 Leonardo Di Lella 2004-09-04 09:12:15 UTC
You can use also mod_jk. There are no special add-ons in mod_jk2 that are needed and that are not included in mod_jk.

Comment 31 eirik 2004-09-04 12:25:12 UTC
Just tried to use the new ebuild and a few questions poped up:
Why are there version specific dependencies on apache2 and jdbc2-postgresql?
Isn't apache1 supported? and according to jdbc.postgresql.org jdbc3 is the driver intended for JDK 1.4 environments.

And also why are jikes, webapp-config and ispell on the dependencies list?
And what dos the vhost USE flag defined for open-xchange do?

Has anyone been able to emerge open-xchange with SSL enabled, since SSL also is in the USE flag?
Comment 32 Leonardo Di Lella 2004-09-04 13:14:59 UTC
webapp-config is needed for webapp. I use webapp for adding ox in the apache directory. Apache1 is supported. We must replace jdbc2 with jdbc3 and apache2 with apache. ispell is needed for webmail (spellchecker feature).
Comment 33 eirik 2004-09-04 13:31:54 UTC
Is it possible use aspell in stead of ispell, or is ispell hardcoded into open-xchange? If not we should have a dependency check on both and use the one that is already installed. If none is installed it should be possible for the user to set which one to use.

I am also a bit confused about the vhost USE flag for ox, is that due to the webapp?
Comment 34 Leonardo Di Lella 2004-09-04 13:55:25 UTC
The SSL part is now working. The problem is the -j2 option in ${MAKEOPTS}. The emake function is defined as : make ${MAKEOPTS} ${EXTRA_EMAKE}. If you replace in the ebuild emake with make you can compile with the SSL option. I think that the -j2 is not preferred for single processor machine. Maybe this could also cause other problems on similar ebuilds.

The vhost is for webapp.

From the webapp.eclass:

[snip]
# ------------------------------------------------------------------------
# EXPORTED FUNCTION - call from inside your ebuild's pkg_config AFTER
# everything else has run
#
# If 'vhosts' USE flag is not set, auto-install this app
#   
# ------------------------------------------------------------------------

function webapp_pkg_setup ()
{
[/snip]

Ive never tested it with aspell, so I dont know if it works also with aspell. Ill ask the webmail developer for that.
Comment 35 eirik 2004-09-04 14:07:28 UTC
Thanks.
I have never had any issues with MAKEOPTS="-j2". And according to the make.conf in /etc that is the suggested value for one a single processor machine.

[snip]
# MAKEOPTS provides extra options that may be passed to 'make' when a
#     program is compiled. Presently the only use is for specifying
#     the number of parallel makes (-j) to perform. The suggested number
#     for parallel makes is CPUs+1.
MAKEOPTS="-j2"
[/snip]
Comment 36 Leonardo Di Lella 2004-09-04 19:00:41 UTC
Created attachment 38950 [details]
open-xchange-0.7.1.ebuild

I put the automatically configuration part in the ebuild off. The configuration
should do the user because it is nontrivial. For this there docs on the
open-xchange homepage. This ebuild just installs the OX and does the necessary
things to start (ebuild ... config). The installation path is not anymore /opt.
The configuration files are in /etc/open-xchange, the start scripts in
/etc/init.d and the html templates and the rest in /usr/share/open-xchange. I
think this is more gentoo like. Another thing that must be done is to replace
the WORKDIR path from generated ox config files. This is due to the fact that
ebuild cant escape from WORKDIR, so the prefix is everytime WORKDIR and
configure take the prefix and use it in every ox config file (parsing and
adding PREFIXDIR). The dir-fix was done with find + sed for simplicity. The
next part is the replacement of the hardcoded css, javascript and images url in
the html templates. I think this is faster with a find script as writing a
patch file for every files (now ca. 50 files but this could change with the
next release). We need to replace the URL because webapp install a new web
application in the /var/www/HOSTNAME/PROJECTNAME/ directory. The url cant be
anymore /cfintranet/images.png, it must be /PROJECTNAME/cfintranet/images.png.
Comment 37 Leonardo Di Lella 2004-09-04 19:01:14 UTC
Comment on attachment 38907 [details]
open-xchange-0.7.1.ebuild

replaced by newer ebuild
Comment 38 mren 2004-09-04 22:26:53 UTC
Now the ebuild wants to install apache-1, but I've apache-2 installed. Is it possible to get the apache2-use-flag in the ebuild for this reason? So you can decide which apache and which DSOs have to be in the (r)depends. Just an idea - don't know if it's possible and if how much work it is.
Comment 39 Leonardo Di Lella 2004-09-05 02:21:05 UTC
Yes, it is possible to do this. Normally just replace net-www/apache with >=net-www/apache-1.3.3. But there is imho no working ebuild for mod_jk2 that works with apache1. mod_jk2 is needed for working with OX.
Comment 40 Leonardo Di Lella 2004-09-07 17:10:45 UTC
Created attachment 39161 [details]
open-xchange-0.7.1.ebuild

Added a modified version of the open-xchange ebuild. The hardcoded guid+uid of
the mailadmin will now be replaced in the init_ldap.ldif with the correct uid
and guid of the created mailadmin user. Users now have the possibility to set
the username, password and dbname for the database. The DEPEND + RDEPEND was
also cleaned.
Comment 41 Leonardo Di Lella 2004-09-07 17:11:10 UTC
Comment on attachment 38950 [details]
open-xchange-0.7.1.ebuild

Replaced by a newer ebuild
Comment 42 eirik 2004-09-12 11:42:38 UTC
I can't get the ebuild to work with doc in the USE flag:

make: *** No rule to make target `javadoc'.  Stop.

!!! ERROR: net-mail/open-xchange-0.7.2 failed.
!!! Function src_compile, Line 133, Exitcode 2
!!! javadoc failed


Also, according to the FAQ on www.open-xchange.org:
- At the moment OX WebMail only support ispell! 

Comment 43 José Alberto Suárez López (RETIRED) gentoo-dev 2004-09-14 02:36:23 UTC
in x86 it try to install mod_perl-1.27x that depend of apache-1
so you need to use ~x86 to install mod_perl-1.99x.
any problem in OE to use mod_perl-1.99x?
Comment 44 Mike Bydalek 2004-09-14 08:58:58 UTC
Just thought I would add a couple items to help towards making a complete ebuild.

One small thing missing was /var/open-xchange/settings/intranet which needs to be owned by the webserver user.  Saw some errors mentioning not being able to open/write user settings.

There also seems to be pathing issue which may or may not be a Gentoo problem.  On the far right frame (where the calendar is), the images don't like the open-xchange prefix when referencing images.   Ie. it wants http://<ip>/cfintranet/images/preview.png while the real location is http://<ip>/open-xchange/cfintranet/images/preview.png

I figure I'd mention it in case it was a ./configure option, or some other thing that needed to be changed.

Great work so far!  Thanks.
Comment 45 Leonardo Di Lella 2004-09-14 16:36:36 UTC
You cant solve the path problem with the "configure" script, because the path are hardcoded in the html files. 

I dont know what to do now ? The ebuild is imho on a good stage. But two things are missing. The ACI support for the current openldap packages (waiting for 2.2.14 doesnt make sense because this will take some time). The other problem is the ebuild of mod_jk2 that Ive added also. This ebuild is also a depend for using open-xchange.

Any gentoo members, that could speed up the integration or that can give a hint how to continue ?
Comment 46 Luke Steiner 2004-09-14 17:38:08 UTC
I tried to use the ebuild but I get this error.

"Calculating dependencies   visible(): invalid cat/pkg-v: net-mail/openxchange

!!! all ebuilds that could satisfy "openxchange" have been masked.
!!! possible candidates are:

!!! Error calculating dependencies. Please correct."

I checked my config to make sure my /etc/make.conf says ~x86.  It still didn't work.  So I tried it without emerging below are the issues.

When I emerge the dependancies other than openxchange and use the souce for openxchange from the website I get this error.

checking for socket in -lsocket... no
checking for _xti_accept in -lnsl... no
checking for an ANSI C-conforming const... yes
configure: error: java is requiered - please install at least the Java(TM) 2 SDK.

I know I have java since I emerged everything in the ebuild through portage except openexchange.
Comment 47 Leonardo Di Lella 2004-09-14 17:58:35 UTC
Hello,

maybe you have java installed but not configured. What did your java-config -l say  ? Have you set your java vm with java-config ?
Comment 48 Luke Steiner 2004-09-14 18:29:44 UTC
# java-config -l
[db] The java bindings for berkeley db version 4.2.52 (/usr/share/db/package.env)
[ant] Java-based build tool similar to 'make' that uses XML configuration files. (/usr/share/ant/package.env)
[bsh] BeanShell is a small, free, embeddable, Java source interpreter with object scripting language features. (/usr/share/bsh/package.env)
[oro] "" (/usr/share/oro/package.env)
[bcel] The Byte Code Engineering Library: analyze, create, manipulate Java class files (/usr/share/bcel/package.env)
[jdom] Java API to manipulate XML data (/usr/share/jdom/package.env)
[jsch] JSch is a pure Java implementation of SSH2. (/usr/share/jsch/package.env)
[ant-optional] Apache ANT Optional Tasks Jar Files (/usr/share/ant-optional/package.env)
[sun-javamail-bin] A Java-based framework to build multiplatform mail and messaging applications. (/usr/share/sun-javamail-bin/package.env)
[antlr] A parser generator for Java and C++, written in Java (/usr/share/antlr/package.env)
[commons-collections] Jakarta-Commons Collections Component (/usr/share/commons-collections/package.env)
[junit] "" (/usr/share/junit/package.env)
[jzlib] JZlib is a re-implementation of zlib in pure Java. (/usr/share/jzlib/package.env)
[log4j] A low-overhead robust logging package for Java (/usr/share/log4j/package.env)
[rhino] Rhino is an open-source implementation of JavaScript written entirely in Java. It is typically embedded into Java applications to provide scripting to end users (/usr/share/rhino/package.env)
[xalan] XSLT processor (/usr/share/xalan/package.env)
[commons-net] The purpose of the library is to provide fundamental protocol access, not higher-level abstractions. (/usr/share/commons-net/package.env)
[commons-beanutils] The Jakarta BeanUtils component provides easy-to-use wrappers around Reflection and Introspection APIs (/usr/share/commons-beanutils/package.env)
[commons-logging] The Jakarta-Commons Logging package is an ultra-thin bridge between different logging libraries. (/usr/share/commons-logging/package.env)
[regexp-bin] "" (/usr/share/regexp-bin/package.env)
[jdbc3-postgresql-1] JDBC3 Driver for PostgreSQL (/usr/share/jdbc3-postgresql-1/package.env)
[sun-jaf-bin] Sun's JavaBeans Activation Framework (JAF) (/usr/share/sun-jaf-bin/package.env)
[servletapi-2.4] Servlet API 5 from jakarta.apache.org (/usr/share/servletapi-2.4/package.env)
[javacc] Java Compiler Compiler [tm] (JavaCC [tm]) - The Java Parser Generator (/usr/share/javacc/package.env)
[ant-tasks] Apache ANT Optional Tasks Jar Files (/usr/share/ant-tasks/package.env)
[avalon-logkit-bin] LogKit is an easy-to-use Java logging toolkit designed for secure, performance-oriented logging. (/usr/share/avalon-logkit-bin/package.env)
[xerces-2] The next generation of high performance, fully compliant XML parsers in the Apache Xerces family (/usr/share/xerces-2/package.env)
[cyrus-sasl-2] The Cyrus SASL (Simple Authentication and Security Layer) (/usr/share/cyrus-sasl-2/package.env)
[postgresql] "" (/usr/share/postgresql/package.env)
[jdepend] JDepend traverses Java class file directories and generates design quality metrics for each Java package. (/usr/share/jdepend/package.env)
[sun-java3d-bin] Sun Java3D (/usr/share/sun-java3d-bin/package.env)
[jython-bin] "" (/usr/share/jython-bin/package.env)

This is the java-config -l
Comment 49 eirik 2004-09-15 01:37:45 UTC
Please see comment #42.
Anyone have a clue why javadoc fail during ebuild when doc is enabled in the USE flag?

Apart from that the ebuild work very well. I use apache1 and had to make some changes to the mod_jk ebuild to be able to use the latest version (1.2.6). The current stabel ebuild of openldap has also been modified due to aci support.

Also I had to modify the path for images (+ some more) in system.properties under /etc/open-xchange/groupware and /etc/open-xchange/webmail to get the images loaded on the web page.
Comment 50 Leonardo Di Lella 2004-09-15 03:01:50 UTC
The path are modified with the latest ebuild. This should normally work. What other changes have you done ? Can you please specify them ? Thx.
Comment 51 eirik 2004-09-15 04:06:27 UTC
I used the latest ebuild, just modified it to reflect ox version 0.7.2.
My problem is the javadoc failure, and I can't get it to work (I don't know where to look, is the ebuild OK?)!!

I have vhosts enabled in the USE flags, and run webapp-config afterwards.
SSL is off, so I have not tested this yet.

I also have a problem with the ACL.
When I include ACL in slapd.conf I get "Authentication failed !" when I try to log into OX. If I then comment out the ACL lines in slapd.conf and restart openldap everything work like a charm.

I used the configuration listed in the INSTALL file for OX 0.7.2.
Following ACL is included:
     # Private AddressBook
     access to dn="ou=addr,uid=(.*),ou=Users,ou=OxObjects,dc=example,dc=org"
     by dn="uid=$1,ou=Users,ou=OxObjects,dc=example,dc=org" write
     by * none

     # members of the AddressAdmins group allowed to write to the
     # Pub. Address Book
     access to dn.subtree="o=AddressBook,ou=OxObjects,dc=example,dc=org"
     by group="cn=AddressAdmins,o=AddressBook,ou=OxObjects,dc=example,dc=org" write
     by users read
     by * none

Dos anyone have an explanation for this behaviour?

There is also an issue when the init_ldap.ldif is add. Several files are then created in /var/lib/openldap-data/ but they are owned by root. The ownership of these files must be changed to ldap:ldap.

As I also mentioned in comment #42 I think that aspell should be changed back to ispell.
Comment 52 Leonardo Di Lella 2004-09-15 05:18:52 UTC
Created attachment 39638 [details]
open-xchange-0.7.2.ebuild

Ive deleted the option with javadoc because we will bring with one of next
open-xchange releases an option in the configure script to automatically create
javadocs with ant.
Comment 53 Leonardo Di Lella 2004-09-15 05:30:03 UTC
@eirik : the ACL problem is a configuration problem of your slapd.conf, there are some options like :

access to *
  by peername="ip=192\.168\.32\.*" read
  by peername="ip=127\.0\.0\.1" read
  by users read
  by * none

I dont have any problems with /var/openldap-data permissions.
Comment 54 Mike Bydalek 2004-09-17 13:48:15 UTC
The temp directory for attachments in the webmail portion seems to be missing so /tmp/.WebMail needs to be created when installing - owned by 'apache' and 700 for security?

There may be other temp directories used, but this is the only one I've seen so far...
Comment 55 Braden Compton 2004-09-19 19:45:23 UTC
I've installed the current ebuild, shoved all the necessary info into ldap etc. as per the INSTALL instructions... but when I try to log on I get "Internal Server Error" from apache.  Relevant log files look like this:

--- [begin apache's error_log ] ---
[Sun Sep 19 21:19:48 2004] [error] [client 192.168.1.7] Can not build up Socket!, referer: http://hebron.crckingston.org.au/cgi-bin/login.pl
[Sun Sep 19 21:19:48 2004] [error] [client 192.168.1.7] ERRNO=<No such file or directory> in getSocket. Can not connect do SessionD, referer: http://hebron.crckingston.org.au/cgi-bin/login.pl
[Sun Sep 19 21:19:48 2004] [error] [client 192.168.1.7] Premature end of script headers: login.pl, referer: http://hebron.crckingston.org.au/cgi-bin/login.pl
--- [end error_log] ---

--- [begin open-xchange's sessiond.log] ---
error loading CA: error:02001002:system library:fopen:No such file or directory
--- [end sessiond.log] ---

This is probably something terribly simple - but it's get this newbie stumped.
Thanks for your time.
Comment 56 Serhij S. Stasyuk 2004-09-25 07:38:15 UTC
You try to use ssl certs without them. After about a day of debugging and walking through sources I have found that there are to be some files in /etc/open-xchange/groupware/CERT directory.
They are cacert.pem, groupwarecert.pem, groupwarecert.pem.
And some in /etc/open-xchange/webmail/CERT (I don't remember exactly, but some of this plus sessiondcert.pem and sessiondkey.pem). So I have made link from /etc/open-xchange/webmail/CERT to /etc/open-xchange/groupware/CERT and placed there 5 files:
cacert.pem
groupwarecert.pem
groupwarecert.pem
sessiondkey.pem
sessiondcert.pem
First 3 are copies of my imapd.pem from courier-imap, the 4-th is only the key-section of this file and the 5-th is the rest of it. Now it works.
Comment 57 Serhij S. Stasyuk 2004-09-25 07:46:14 UTC
Sorry, the list in the previos post is:
cacert.pem
groupwarecert.pem
groupwarekey.pem
sessiondkey.pem
sessiondcert.pem

The rest is correct
Comment 58 Serhij S. Stasyuk 2004-09-25 09:00:47 UTC
Created attachment 40395 [details]
Ebuild for open-xchange-0.7.3

The only difference from 0.7.2 is version. I have neither
/etc/init.d/openexchange nor /etc/open-xchange/init.d/* scripts working, but
with /bin/openexchange-* works fine with no "su apache -s " prepended. I'll try
to find out problem later
Comment 59 Serhij S. Stasyuk 2004-09-25 09:02:32 UTC
Comment on attachment 40395 [details]
Ebuild for open-xchange-0.7.3

The only difference from 0.7.2 is version. I have neither
/etc/init.d/openexchange nor /etc/open-xchange/init.d/* scripts working, but
with /bin/openexchange-* works fine with no "su apache -s " prepended. I'll try
to find out problem later.
Comment 60 Serhij S. Stasyuk 2004-09-26 10:37:51 UTC
To work properly commands in initscripts must be changed to commented. In all of them (groupware, webmail and sessiond) line beginning with sudo have been commented and new line beginning with su have added. The only thing is needed to work properly is to swap comments on them.
Comment 61 Luke Steiner 2004-09-28 06:23:50 UTC
# emerge  openxchange
Calculating dependencies ...done!
>>> emerge (1 of 1) net-mail/openxchange-0.7.3-r1 to /
>>> md5 src_uri ;-) openxchange-0.7.3.tar.bz2
 *
 * The environment $OX_DBNAME was not set. I will
take the default
 * value 'openexchange'.
 *
 *
 * The environment $OX_DBUSER was not set. I will
take the default
 * value 'openexchange'.
 *
 *
 * The environment $OX_DBPASS was not set. I will
take the default
 * value 'xxx'.
 *
 * If you dont want to use the default values then
hit <Ctrl-C>
 * to cancel and set the environment before emerging
open-xchange.
 *
 >>> 1 sleep: invalid time interval `0,1'
Try `sleep --help' for more information.
2 sleep: invalid time interval `0,1'
Try `sleep --help' for more information.
3 sleep: invalid time interval `0,1'
Try `sleep --help' for more information.
4 sleep: invalid time interval `0,1'
Try `sleep --help' for more information.
5 sleep: invalid time interval `0,1'
Try `sleep --help' for more information.
6 sleep: invalid time interval `0,1'
Try `sleep --help' for more information.
7 sleep: invalid time interval `0,1'
Try `sleep --help' for more information.
8 sleep: invalid time interval `0,1'
Try `sleep --help' for more information.

>>> Unpacking source...
>>> Unpacking openxchange-0.7.3.tar.bz2 to /var/tmp/portage/openxchange-0.7.3-r1/work
/usr/local/portage/net-mail/openxchange/openxchange-0.7.3-r1.ebuild: line 92: cd: /var/tmp/portage/openxchange-0.7.3-r1/work/openxchange.0.7.3: No such file or directory
aclocal-1.8: `configure.ac' or `configure.in' is required

!!! ERROR: net-mail/openxchange-0.7.3-r1 failed.
!!! Function src_unpack, Line 94, Exitcode 1
!!! reconfigure failed

Any Ideas?
Comment 62 BuryAlex 2004-09-28 19:22:50 UTC
Created attachment 40677 [details, diff]
Find error in build.xml.in file

In file build.xml.in 
<target name="compile_without_webdav" depends="init" unless="webdav-enabled">
    <javac srcdir="${srcdir}" destdir="${builddir}" debug="on" optimize="off"
excludes="com/openexchange/webdav/**.java,
com/openexchange/tools/webdav/**.java">
      <classpath>
		<pathelement location="@jsdkjar@"/>
		<pathelement location="@jdbcjar@"/>
		<pathelement location="@mailjar@"/>
		<pathelement location="@activationjar@"/>
<!--
but need for javac <pathelement location="@jdomjar@"/>
this path add this string
-->
      </classpath>
    </javac>
  </target>
Comment 63 Frank 2004-09-30 02:01:14 UTC
With the latest version of portage i get a "emerge /path/to/ebuild is no longer supported" message but it emerges all dependencies but OX itself complaining it misses a directory location.

Does this sound familiar ?
Comment 64 Frank 2004-10-04 12:43:57 UTC
# emerge open-xchange-0.7.3.ebuild -pv

!!! Warning: emerge /path/to/ebuild is broken and considered dangerous.
!!! Don't use it. I'm serious, we're coming after you if you use it.

>>> Waiting 10 seconds before starting...
>>> (Control-C to abort)...
Continuing with emerge /path/to/ebuild in: 10 9 8 7 6 5 4 3 2 1

Comment 65 eirik 2004-10-04 15:05:37 UTC
Well I don't get that message and I use the latest stable version of Portage, 2.0.50-r11.
Comment 66 Tuan Van (RETIRED) gentoo-dev 2004-10-05 09:45:37 UTC
Frank,
please do not remove poeple from the CC list. If someone decided that they don't want to be on the CC list anymore, they will remove themself from it. Thanks.
Comment 67 José Alberto Suárez López (RETIRED) gentoo-dev 2004-10-07 02:05:31 UTC
ell im interested in mantain this pkg in portage, so i need tass it very well first...
so Who and why removed me form the CC list?
Comment 68 José Alberto Suárez López (RETIRED) gentoo-dev 2004-10-07 03:34:32 UTC
i had problems with the initscript, just doenst works for me..
i need to init all OE stuff manually. any idea?
Comment 69 eirik 2004-10-07 04:15:41 UTC
Ref. #68:
Could you give a more detailed description of your problems?
Just for informattion:
With version 0.7.3 of OX they changed from using sudo to su in the init-scripts for groupware, seesion and webmail. That didn't work in gentoo, so I had to change back to sudo. The previous sudo command was just commented out in the init script so it was quite easy.
Comment 70 José Alberto Suárez López (RETIRED) gentoo-dev 2004-10-13 03:05:07 UTC
thanks, using sudo it works :)
so now the first problem are the icons... the ebuild must patch  webmail/system.properties and groupware/system.properties to add the correct path (/open-xchange/....)
about the init script it must be called open-xchange not openexchange. i can do this w/o problem... so i need help with postgresql.
I dont know anything about pgsql, so i must granted privileges to the sql-user openxchange to the tables usr_general_rights and sys_gen_rights_template, if not i can't add new user and authenticate. I must do it in any other table? what is the correct pgsql command? (i'm usend a web frontend to do it).

regards
Comment 71 José Alberto Suárez López (RETIRED) gentoo-dev 2004-10-15 01:52:57 UTC
well...
now i have problems with cyrus...
for some strange motive i can create the syrus user with saslpasswd2 but i can use cyradm to authenticate it. I have errors about sql plugin.. so i didnt build it, only USE="authdaemon ldap pam" (i tried too only ldap). Any idea?

TIA
Comment 72 bravecobra 2004-10-15 10:22:34 UTC
Version 0.7.4 is out. Time to update the ebuild :)
Comment 73 Frank 2004-10-18 04:55:47 UTC
Does the ebuild follow this guide ? and/or are all these steps required ?

http://www.mikefetherston.ca/OX/OX_Install-v0.12.pdf
Comment 74 eirik 2004-10-18 09:24:01 UTC
ref. #73.
The guide you refer to dosn't even use this ebuild. Don't ask me why. I would definetly use this ebuild, working perfect for me.
Comment 75 Frank 2004-10-19 13:08:43 UTC
emerge without webdav flag fails on not finding jdom package during compile. 
With the webdav USE flag all compiles fine.

java-config -l  does show jdom
and jdom version is jdom-1.0_BETA10-r1
Comment 76 José Alberto Suárez López (RETIRED) gentoo-dev 2004-10-21 02:50:53 UTC
anywho tried 0.7.4? i have this error:

==> /var/open-xchange/log/sessiond.log <==
oxsessiond init (Port=<33333>)
Exception in thread "main"
java.lang.UnsatisfiedLinkError: /usr/lib/open-xchange/liboxssl.so: /usr/lib/open-xchange/liboxssl.so: undefined symbol: BIO_s_mem
        at java.lang.ClassLoader$NativeLibrary.load(Native Method)
        at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1473)
        at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1397)
        at java.lang.Runtime.loadLibrary0(Runtime.java:788)
        at java.lang.System.loadLibrary(System.java:832)
        at com.openexchange.ssl.SSLCtx.<clinit>(SSLCtx.java:100)
        at
com.openexchange.sessiond.SocketHandler.<init>(SocketHandler.java:140)
        at
com.openexchange.sessiond.oxsessiond.<init>(oxsessiond.java:54)
        at com.openexchange.sessiond.oxsessiond.main(oxsessiond.java:59)


i set "enablessl=no" in the init scripts so the same problem. Any idea?
Comment 77 Patrick Heneise 2004-10-31 06:07:13 UTC
Created attachment 43006 [details]
open-xchange-0.7.4.ebuild

new ebuild for open-xchange based on 0.7.3
Comment 78 Patrick Heneise 2004-10-31 06:08:54 UTC
added the new 0.7.4 ebuild based on the 0.7.3 ebuild.
Comment 79 Frederic Descamps 2004-11-04 16:13:17 UTC
using for the first time the ebuild (0.7.4), when I run /etc/init.d/openexchange start

in all files located in /var/lib/open-xchange/log (groupware.log  sessiond.log  webmail.log), I get this error :

Exception in thread "main" java.lang.NoClassDefFoundError: ComfireServer

any idea ?


thanks

fred.
Comment 80 Frederic Descamps 2004-11-05 00:17:13 UTC
hi again, I still have the same problem, but if I run openexchange-groupware -v for example, I got that result :

monet lib # openexchange-groupware -v
Nov 05 09:14 localhost openexchange: Netline Application Server [NAS 5.0]
Nov 05 09:14 localhost openexchange: (c) Netline Internet Service GmbH
Nov 05 09:14 monet openexchange: Linux i386 2.6.8-gentoo-r7
Nov 05 09:14 monet openexchange: Blackdown-1.4.1-01
Nov 05 09:14 monet openexchange: VM Total Memory       : 20,352 KB
Nov 05 09:14 monet openexchange: VM Free Memory        : 19,383 KB
Nov 05 09:14 monet openexchange: VM Used Memory        : 969 KB
Nov 05 09:14 monet openexchange: system version : [0.7.4] initializing ...
Nov 05 09:14 monet openexchange: Using path: /
Nov 05 09:14 monet openexchange: Loglevel set to: 5
Nov 05 09:14 monet openexchange: Setting timeout           : 60000
Nov 05 09:14 monet openexchange: Setting start_server      : 1
Nov 05 09:14 monet openexchange: Setting thread_pool       : 0
Nov 05 09:14 monet openexchange: Setting db_pool           : 5
Nov 05 09:14 monet openexchange: Allow non pooled threads  : true
Nov 05 09:14 monet openexchange: Setting upload directory  : /tmp/
Nov 05 09:14 monet openexchange: Application-Build: 0
Nov 05 09:14 monet openexchange: Application-Build: 0
java.lang.ClassNotFoundException: org.postgresql.Driver
        at java.net.URLClassLoader$1.run(URLClassLoader.java:198)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:186)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:299)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:265)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:255)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:315)
        at java.lang.Class.forName0(Native Method)
        at java.lang.Class.forName(Class.java:140)
        at com.openexchange.server.DBPool.createConnection(DBPool.java:93)
        at com.openexchange.server.DBPool.<init>(DBPool.java:64)
        at Starter.<init>(Starter.java:111)
        at ComfireServer.main(ComfireServer.java:52)
Nov 05 09:14 monet openexchange: bind to port 6661
Nov 05 09:14 monet openexchange: upload bind to port 6663
 done


so I guess that my problem comes with jdbc3-postgresql

emerge -s jdbc3-postgresql :
*  dev-java/jdbc3-postgresql
      Latest version available: 7.3
      Latest version installed: 7.4.5
      Size of downloaded files: 179 kB
      Homepage:    http://jdbc.postgresql.org/
      Description: JDBC3 Driver for PostgreSQL
      License:     POSTGRESQL

monet lib # epm -ql jdbc3-postgresql
/usr/share/jdbc3-postgresql/lib/jdbc3-postgresql.jar
/usr/share/jdbc3-postgresql/package.env


do I need to create a symlink for that jar somewhere ?

Comment 81 Frederic Descamps 2004-11-05 02:16:39 UTC
ok, I got this one, what I had to do :

change /bin/openexchange-groupware and /bin/openexchange-webmail

and change the value of classpath related to the postgresql :

-classpath //usr/share/jdbc3-postgresql/lib/jdbc3-postgresql.jar

instead of :

-classpath //usr/share/jdbc3-postgresql-1/lib/pg73jdbc3.jar

I also uncommented the use of sudo in /etc/open-xchange/init.d/groupware, /etc/open-xchange/init.d/sessiond and /etc/open-xchange/init.d/webmail
(I commented the use of su and uncommented the use of sudo)

now ox is running... but... yes there is always a @#$ BUT, when I try to use some webdav (webdav.ical) for example I got this :

exception

javax.servlet.ServletException: Servlet.init() for servlet webdav.icl threw exception
	org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
	org.apache.coyote.tomcat5.CoyoteAdapter.service(CoyoteAdapter.java:160)
	org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:300)
	org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:374)
	org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:743)
	org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:675)
	org.apache.jk.common.SocketConnection.runIt(ChannelSocket.java:866)
	org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:683)
	java.lang.Thread.run(Thread.java:536)

root cause

java.lang.ExceptionInInitializerError
	com.openexchange.tools.webdav.SloxServlet.init(SloxServlet.java:147)
	org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
	org.apache.coyote.tomcat5.CoyoteAdapter.service(CoyoteAdapter.java:160)
	org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:300)
	org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:374)
	org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:743)
	org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:675)
	org.apache.jk.common.SocketConnection.runIt(ChannelSocket.java:866)
	org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:683)
	java.lang.Thread.run(Thread.java:536)


help appreciated
Comment 82 Frederic Descamps 2004-11-05 04:37:53 UTC
Me again, ok now it's working 

I had to modify /opt/tomcat5/bin/catalina.sh and add the following line :
JAVA_OPTS=" -Dopenexchange.propfile=/etc/groupware/system.properties"

then I got some problems with mysql ???!!

so I edited /etc/groupware/server.conf:
NAS_CON_DRIVER: org.postgresql.Driver it was set on mysql ??? but now it works so I'm happy


Comment 83 Serhij S. Stasyuk 2004-12-08 15:40:39 UTC
Today I occasionally see that open-xchange-0.7.5 was released, will test it tomorrow (or, today - 01:38 now). But it was dated as of 2004-11-19 (http://mirror.open-xchange.org/ox/EN/community/CHANGES.htm).
Was it tested by anybody?
Comment 84 Serhij S. Stasyuk 2004-12-09 05:00:18 UTC
Created attachment 45598 [details]
open-xchange-0.7.5.ebuild

This ebuild uses maximally make of open-xchange. I tested it, it works for me.
If there is anybody who knows about java-pkg_dojar please look into ebuild and
say if it is needed (I comments it out). Additionally I added Crystal icon
theme (as preinstalled) from 
http://www.mikefetherston.ca/OX/Crystal_OX_Theme.tgz
Comment 85 Justin Lambert 2004-12-09 11:20:10 UTC
I was getting an error with the 0.7.5 ebuild complaining about:

nscd: Only root is allowed to use this option!
 * Adding user 'mailadmin' to your system ...
nscd: Only root is allowed to use this option!
nscd: Only root is allowed to use this option!
nscd: Only root is allowed to use this option!
nscd: Only root is allowed to use this option!
nscd: Only root is allowed to use this option!
 *  - Userid: 105
 *  - Shell: /bin/false
 *  - Home: /dev/null
nscd: Only root is allowed to use this option!
 *  - Groups: users
useradd: PAM authentication failed


I resolved this problem by removing the line:
enewuser mailadmin -1 -1 /dev/null users

Should that go under pkg_setup or somewhere else?
Comment 86 Serhij S. Stasyuk 2004-12-09 23:38:31 UTC
To Justin Lambert;
I don't know. I was in the previous version of ebuild, it works for me, so I leave it as-is. But I think that this line and "ln -s .." in pkg_config must be moved or replaced by smth more satisfiable.

To all:
I have found a bug in ebuilds. It was discussed earlier, but needs to be set in ebuild. I have postgresql-7.4 installed and installed version of jdbc3-postgresql was 7.3. So it does not work correctly (SQL ERROR: SET AUTOCOMMIT TO OFF....). Is it needed to check postrgresql == jdbc3-postgresql or just set DEPEND to >=jdbc3-postgresql-7.4? Additionally, line in configure must be changed to smth appropriate:
--with-jdbcjar=/usr/share/jdbc3-postgresql-1/lib/pg73jdbc3.jar
RDEPEND of jdbc3-postgresql IMHO can go away, because OX add jar to its war, but in init scripts does not set classpath to copy, so it needs testing.

I tested OX with postgresql-7.4.6 and jdbc3-postgresql-7.4.5. Things that did not work with previous version of jdbc3-postgresql now works properly.
But I have a problem - the only webdav servlets, that works for me are ical and vcard, the rest raises exception. The part of tomcat log is (they are similar):

2004-12-10 00:42:44 StandardContext[/servlet]Marking servlet webdav.calendar as unavailable
2004-12-10 00:42:44 StandardWrapperValve[webdav.calendar]: Allocate exception for servlet webdav.calendajavax.servlet.ServletException: Error instantiating servlet class com.openexchange.webdav.calendar
        at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:996)
        at org.apache.catalina.core.StandardWrapper.allocate(StandardWrapper.java:687)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:144)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
        at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
        at org.apache.catalina.core.StandardContextValve.invokeInternal(StandardContextValve.java:198)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:152)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
        at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:137)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:102)
        at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
        at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
        at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:929)
        at org.apache.coyote.tomcat5.CoyoteAdapter.service(CoyoteAdapter.java:160)
        at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:300)
        at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:374)
        at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:743)
        at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:675)
        at org.apache.jk.common.SocketConnection.runIt(ChannelSocket.java:866)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:683)
        at java.lang.Thread.run(Thread.java:534)
----- Root Cause -----
java.lang.NoClassDefFoundError: org/jdom/Content
        at java.lang.Class.getDeclaredConstructors0(Native Method)
        at java.lang.Class.privateGetDeclaredConstructors(Class.java:1618)
        at java.lang.Class.getConstructor0(Class.java:1930)
        at java.lang.Class.newInstance0(Class.java:278)
        at java.lang.Class.newInstance(Class.java:261)
        at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:987)
        at org.apache.catalina.core.StandardWrapper.allocate(StandardWrapper.java:687)
        at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:144)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
        at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
        at org.apache.catalina.core.StandardContextValve.invokeInternal(StandardContextValve.java:198)
        at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:152)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
        at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
        at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:137)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
        at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:102)
        at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
        at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
        at org.apache.catalina.core.StandardValveContext.invokeNext(StandardValveContext.java:104)
        at org.apache.catalina.core.StandardPipeline.invoke(StandardPipeline.java:520)
        at org.apache.catalina.core.ContainerBase.invoke(ContainerBase.java:929)
        at org.apache.coyote.tomcat5.CoyoteAdapter.service(CoyoteAdapter.java:160)
        at org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:300)
        at org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:374)
        at org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:743)
        at org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:675)
        at org.apache.jk.common.SocketConnection.runIt(ChannelSocket.java:866)
        at org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:683)
        at java.lang.Thread.run(Thread.java:534)


What does it mean? I have jdom.jar in /usr/share/jdom/lib/ as defined in ebuild.
Comment 87 steveb 2004-12-26 04:15:33 UTC
I would like to use this ebuild, but I don't want to downgrade to apache1. Could it be possible that the following DEPEND, RDEPEND and IUSE would be enought to compile it with apache2?

IUSE="ssl webdav apache2"

DEPEND=">=virtual/jdk-1.4
        >=dev-java/java-config-1.2
        dev-java/sun-javamail-bin
        sys-apps/findutils
        sys-apps/sed
        net-www/webapp-config
        dev-java/jdbc3-postgresql
        dev-java/jdom
        dev-java/servletapi
        ssl? ( dev-libs/openssl )"

RDEPEND=">=virtual/jdk-1.4
        >=dev-java/java-config-1.2
        dev-perl/perl-ldap
        www-servers/tomcat
        dev-perl/Net-SSLeay
        dev-java/jdbc3-postgresql
        dev-java/jdom
        dev-db/postgresql
        net-nds/openldap
        app-text/ispell
        apache2? (
                >=net-www/apache-2
                www-apache/mod_jk2
        ) || (
                <net-www/apache-2
                dev-perl/mod_perl
                ssl? ( net-www/mod_ssl )
        )"


cheers

SteveB
Comment 88 steveb 2004-12-26 04:18:35 UTC
Sorry. I typed something wrong. This would be the RDEPEND I would like to use:
RDEPEND=">=virtual/jdk-1.4
        >=dev-java/java-config-1.2
        dev-perl/perl-ldap
        www-servers/tomcat
        dev-perl/Net-SSLeay
        dev-java/jdbc3-postgresql
        dev-java/jdom
        dev-db/postgresql
        net-nds/openldap
        app-text/ispell
        apache2? (
                >=net-www/apache-2
                www-apache/mod_jk2
        ) || (
                >=net-www/apache-1.3 <net-www/apache-2
                dev-perl/mod_perl
                ssl? ( net-www/mod_ssl )
        )"
Comment 89 Graeme Humphries 2005-01-03 14:21:30 UTC
I'm interested in the same things as comment 87/88, if someone gets that working could they let me know? :)
Comment 90 Serhij S. Stasyuk 2005-01-03 22:38:56 UTC
You don't need to downgrade to apache-1. I have apache2 installed and most OX functions works fine for me (see comment 86). What exactly does not work for you? (emerge output, errors, etc.)
Comment 91 Graeme Humphries 2005-01-04 08:30:45 UTC
Heh, my bad, I hadn't checked the actual newest ebuild, and thought it was depending on an older version of Apache. Yeah, things look good with the current ebuild, I'll be testing it out shortly and I'll get back to you. :)
Comment 92 Graeme Humphries 2005-01-04 08:36:08 UTC
Actually, now that I look at it closer, it looks like mod_perl (a dep in the current open-xchange ebuild) requires apache1, so apache1 will get installed no matter what with the current ebuild. I think the suggestion in comments 87/88 are modifications to resolve this, so that given the apache2 USE flag, this package can sort out the proper deps for Apache 2 OOTB.

Or am I completely misinterpreting this? :)
Comment 93 Serhij S. Stasyuk 2005-01-04 08:44:26 UTC
mod_perl < 1.99 is for apache-1, > 1.99 is for apache-2.
I didn't test it without mod_perl, so somebody needs to test modified ebuild (as proposed in comments 87/88).
But honestly I don't even know is mod_perl actually needed in current OX
Comment 94 Graeme Humphries 2005-01-04 09:26:22 UTC
Ahh, right, and all of the mod_perl 1.99.* ebuilds are masked, so if you've only got the open-xchange ebuild masked, defaults to building Apache1 even if you've got apache2 installed. I guess that's not this ebuild's problem though. :)
Comment 95 Graeme Humphries 2005-01-04 13:48:46 UTC
Alright, here's a problem I found using apache2, after I'd run "webapp-config -I open-exchange 0.7.5". I tried to login to the login script as recommended in the OpenXchange install docs (localhost/cgi-bin/open-xchange/login.pl), and the script died with the following error in the logs:

[Tue Jan 04 15:44:04 2005] [error] [client 192.168.146.22] Can't locate IO/Socket/SSL.pm in @INC (@INC contains: /etc/perl /usr/lib/perl5/site_perl/5.8.5/i686-linux /usr/lib/perl5/site_perl/5.8.5 /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.4/i686-linux /usr/lib/perl5/site_perl /usr/lib/perl5/vendor_perl/5.8.5/i686-linux /usr/lib/perl5/vendor_perl/5.8.5 /usr/lib/perl5/vendor_perl/5.8.4 /usr/lib/perl5/vendor_perl/5.8.4/i686-linux /usr/lib/perl5/vendor_perl /usr/lib/perl5/5.8.5/i686-linux /usr/lib/perl5/5.8.5 /usr/local/lib/site_perl /usr/lib/perl5/site_perl/5.8.4 /usr/lib/perl5/site_perl/5.8.4/i686-linux .) at login.pm line 17, <DATA> line 225.

I assume that this means dev-perl/IO-Socket-SSL needs to be a dep of this package?

Emerging IO-Socket-SSL did fix the login script and let me at least get to the proper login page. ;)
Comment 96 Serhij S. Stasyuk 2005-01-05 01:26:52 UTC
Thanks for directions. I'll try to set this on next OX version, I think that it would be released soon
Comment 97 Graeme Humphries 2005-01-05 07:32:59 UTC
Does anyone have a guide of the basic steps needed to get OX up and running using this ebuild. I've been following the INSTALL.gz file that the ebuild installs, but it seems like a lot of that the ebuild does doesn't exactly mesh with these instructions. Plus, it seems to assume you know a lot about Tomcat/Jakarta and other Server Side Java things, which I don't. ;)  I think a basic HOWTO for getting this ebuild up and running would be invaluable.
Comment 98 Serhij S. Stasyuk 2005-01-06 00:13:16 UTC
As it was previously noticed, there is a guide of install and setup procedure of OX on Gentoo, see comment 73. But this guide doesn't use ebuilds, maybe because they are only in bugzilla (IMO). See http://mirror.open-xchange.org/ox/EN/community/documentation.htm for links to howto's. OX is complex project and it needs some manual actions to be installed and configured properly.
Comment 99 Graeme Humphries 2005-01-06 07:16:56 UTC
Yeah, I've seen that install guide before, but I assumed it wasn't very accurate since it claims to be for OX version 0.15, and we're at what, 0.7.5 now? Or has the install procedure stayed roughly consistant since the earlier releases?
Comment 100 Mark 2005-01-11 18:56:40 UTC
Ok i have installed everyhting and it all looks ok.
I notice that the cgi scripts are stored under cgi-bin/open-xchange thus to login I go http://localhost/cgi-bin/login.pl. I get the login page but when I click login the page posts back to cgi-bin/login.pl and not cgi-bin/open-xchange/login.pl.
Thus I cannot log in
Comment 101 Serhij S. Stasyuk 2005-01-11 22:17:22 UTC
Oh, you are right. I have previously copied files in cgi-bin directory, so I have not mentioned this redirection. I'll try to fix this with the next release of OX
Comment 102 Mark 2005-01-17 22:26:19 UTC
OK  - There are several issues I have picked up.

1) As pointed out before the login.pm script needs to be edited so that the variable that points to the cgi-bin location of the login.pl script reflects the fact that it is under cgi-bin/open-xchange. This causes errors when the script tries to post back to itself

2)Somewhere in the html code the location of the login.pl script needs to be changed as well because when the connection times out or some internal error occurs it attempts to redirect to cgi-bin/login.pl instead of cgi-bin/open-xchange/login.pl

3) The web app is installed under /var/www/localhost/htdocs/open-xchange/open-xchange/ The config files such as system.properties under /etc/open-xchange/groupware/ etc have the path to the cfIntranet as being located directly under the root of the web server. Thus after loggin in images are not shown
Comment 103 Serhij S. Stasyuk 2005-02-15 10:43:51 UTC
Hi all!

I have no time to fix issues collected by Mark in comment #102, but I have promised to fix them with the next release of OX :).

As one can see Novell have presented today (see http://mirror.open-xchange.org/ Latest News and Announcements) Hula Server (http://hula-project.org/). Does anybody looks what the kind of animal is this software? Will it be usefull to Gentoo community to have ebuild of this software? Is it simple to integrate it with the existing infrastructure (postfix, courier, etc)? Is it simple to integrate it with thje existing installation of OX?

Any comments are appreciated.
Comment 104 Graeme Humphries 2005-02-15 11:02:26 UTC
The way I read it, Hula (aka Netmail) is a very different and much simpler product than OX. I'd say you'd install one or the other, not both. That being said, an ebuild for it is probably a very good idea, since it's in a stable production state already.
Comment 105 Mark Carbonaro 2005-02-18 22:23:12 UTC
Created attachment 51564 [details]
open-xchange-0.7.5-r1.ebuild

I created a new ebuild as I was getting a version mismatch with libtool &
ltmain.sh (that is in the package) which caused a sanity check failure.

I'm not sure if anyone else is getting this error, but if you are try this
ebuild.
Comment 106 Martin Nowack 2005-03-08 14:32:01 UTC
Created attachment 52969 [details]
new open-xchange-ebuild for 0.8.0_beta3

It compiles perfectly for me.
But there is a small problem with jdom.
These package is sloted, currently i've mad a reference "/usr/share/jdom" to my
current version to "/usr/share/jdom-1.0_beta10"
Comment 107 Serhij S. Stasyuk 2005-04-26 13:59:36 UTC
Created attachment 57322 [details]
open-xchange-0.8.0-r0.ebuild

Stable release.
They changed name format of tar.bz2, so I propose to pass it through revision.
It looks to compile ok. I'll test it this week and try to fix current issues
(see above in this bug)

As I wrote earlier, I have troubles with jdbc3-postgresql < 7.4, so I need it
to be checked as it was before beta. If one can propose better way, please
propose
Comment 108 Guilherme Barile 2005-04-27 20:46:05 UTC
About the 0.8.0-r0 ebuild
There's a typo at
	ssl? ( dev-libs/openssl]
Just remove the ] and it will do.

Also it looks for jdom at /usr/share/jdom
On my gentoo (stable) install, it is located at /usr/share/jdom-1.0beta, so I created a symlink 
# cd /usr/share
# ln -s jdom-1.0_beta10 jdom
Comment 109 Serhij S. Stasyuk 2005-04-27 23:45:11 UTC
Thanks. ] was entered during comparing with ebuild for beta3.

Question to java ebuild guru:
how can I determine what version of if java package is installed, what version is it and where is it located?
$ java-config -p jdom
does not work, only
$ java-config -p jdom-1.0_beta9

Are the any commands of java-config or ebuild built-in functions?
I need something like this:
get package versions
IF there are more than one version of package THEN
    try to get appropriate version
ELSE
    get package-version classpath
END
Comment 110 steveb 2005-04-30 08:20:56 UTC
@Sergey: Do you mean something like this:

        jdom_installed="$(best_version dev-java/jdom)"
        jdom_ver="${jdom_installed/*jdom-}"
        jdom_ver="${jdom_ver/-r*}"

        ./configure \
                --with-mailjar=/usr/share/sun-javamail-bin/lib/mail.jar \
                --with-activationjar=/usr/share/sun-jaf-bin/lib/activation.jar \
                --with-jsdkjar=/usr/share/servletapi-2.4/lib/servlet-api.jar \
                --with-jdbcjar=/usr/share/jdbc3-postgresql/lib/jdbc3-postgresql.jar \
                --with-jdomjar=/usr/share/jdom-${jdom_ver}/lib/jdom.jar \

Comment 111 Serhij S. Stasyuk 2005-05-02 23:00:34 UTC
#steveb (#110):
yes. but it would be better to just do
        jdom_installed="$(best_version dev-java/jdom)"
        jdom_jar="${package_classpath jdom_installed}"

        ./configure \
                --with-mailjar=/usr/share/sun-javamail-bin/lib/mail.jar \
                --with-activationjar=/usr/share/sun-jaf-bin/lib/activation.jar \
                --with-jsdkjar=/usr/share/servletapi-2.4/lib/servlet-api.jar \
                --with-jdbcjar=/usr/share/jdbc3-postgresql/lib/jdbc3-postgresql.jar \
                --with-jdomjar="${jdom_jar}" \

So do with jdbc3-postgresql
Comment 112 Andreas Poszlovszki 2005-05-08 08:31:37 UTC
Created attachment 58355 [details]
open-xchange-0.8.0-r1.ebuild

Updated ebuild for open-xchange-0.8.0-r1.tar.gz

the older one (open-xchange-0.8.0-r0.ebuild) seems not to work anymore,
because the archive file couldn't be found.

I've added 2 new use flags (mysql postgres), now postgresql is not installed as
a depency without a choice, but the ebuild need some sort of strict selection
of mysql or postgresql, or at least one of them as an requirment.

Hope this may help sombody,

Andreas
Comment 113 Andreas Poszlovszki 2005-05-08 09:46:20 UTC
Created attachment 58364 [details]
open-xchange-0.8.0-r1.ebuild
Comment 114 Andreas Poszlovszki 2005-05-08 10:05:07 UTC
Created attachment 58367 [details]
open-xchange-0.8.0-r1.ebuild
Comment 115 steveb 2005-05-14 16:56:11 UTC
@Sergey (#111):

how about something like this:

--with-jsdkjar=$(java-config --classpath=$(java-config -l | sed -n "s:^\[\(servletapi-2\.[456789][^]]*\)\].*:\1:p" | head -n 1)) \

--with-jdomjar=$(java-config --classpath=$(java-config -l | sed -n "s:^\[\(jdom[^]]*\).*:\1:p" | head -n 1)) \


this would do all the stuff in just one line.

cheers

SteveB
Comment 116 steveb 2005-05-14 17:03:12 UTC
@Andreas (#114):

would it not be better to change:
if use mysql ; then
	myconf="${myconf} --with-jdbcjar=/usr/share/jdbc-mysql/lib/mysql-connector-java-3.0.11-stable-bin.jar";
fi

if use postgres ; then
	myconf="${myconf} --with-jdbcjar=/usr/share/jdbc3-postgresql/lib/jdbc3-postgresql.jar";
fi


to something like this (favorising postgres):
if use postgres ; then
	myconf="${myconf} --with-jdbcjar=$(java-config --classpath=$(java-config -l | sed -n "s:^\[\(jdbc[^-]*-postgresql[^]]*\).*:\1:p" | head -n 1))"
elif use mysql ; then
	myconf="${myconf} --with-jdbcjar=$(java-config --classpath=$(java-config -l | sed -n "s:^\[\(jdbc[^-]*-mysql[^]]*\).*:\1:p" | head -n 1))"
fi


In order for that to work, you would need to add something like this into pkg_setup (enforcing the use of one SQL database):

if (use mysql && use postgres); then
	echo
	ewarn "You have multiple database backends active in your USE flags."
	ewarn "Will default to PostgreSQL as your ${PN} database backend."
	ewarn "If you want to build with another database backend; hit Control-C now."
	ewarn "Change your USE flag -postgres and emerge again."
	echo
	has_version ">=sys-apps/portage-2.0.50" && (
	einfo "It would be best practice to add the set of USE flags that you use for this"
	einfo "package to the file: /etc/portage/package.use. Example:"
	einfo "\`echo \"${CATEGORY}/${PN} -postgres mysql\" >> /etc/portage/package.use\`"
	einfo "to build ${PN} with MySQL database support."
	)
	echo
	ewarn "Waiting 30 seconds before starting..."
	ewarn "(Control-C to abort)..."
	epause 30
elif !(use mysql || use postgres); then
	echo
	ewarn "You did not select any SQL based database backend. ${PN} needs to"
	ewarn "have one database backend for storing data."
	echo
	die "No database backend selected"
fi



cheers

SteveB
Comment 117 Andreas Poszlovszki 2005-05-16 04:17:53 UTC
@(SteveB)
Yes, it realy sounds better than my quick & dirty fix... ;)

I've not that expirienced in doing ebuilds and using open-xchange too...

Question:
Is open-xchange realy limited to use only one dbms at a time?

For me it makes no sense to allow only one jdbc connector at a time, but i don't know if it would compile with more than one ? This was my intention to code without using an "else" tree. So sombody should realy play with this...

but your both suggestions posts sound really great, especialy 

--with-jsdkjar=$(java-config --classpath=$(java-config -l | sed -n "s:^\[\(servletapi-2\.[456789][^]]*\)\].*:\1:p" | head -n 1)) \

--with-jdomjar=$(java-config --classpath=$(java-config -l | sed -n "s:^\[\(jdom[^]]*\).*:\1:p" | head -n 1)) \

cause i had some troubles with the jdom version too...

greetings

Andreas
Comment 118 Andreas Poszlovszki 2005-05-16 04:58:11 UTC
@ SteveB

ok i've merged the most of your changes to my ebuild exept the strict database selection,

the ebuild compiled with use of both dbms systems!
but i wasn't able to test its functionality (no proper env..)

greets Andreas
Comment 119 corey 2005-05-18 16:07:28 UTC
  
Creating the digest is not working...  
  
bell open-xchange # ebuild open-xchange-0.8.0-r1.ebuild digest  
>>> Downloading  
http://distfiles.gentoo.org/distfiles/open-xchange-0.8.0-1.tar.bz2  
--21:04:23--   
http://distfiles.gentoo.org/distfiles/open-xchange-0.8.0-1.tar.bz2  
           => `/usr/portage/distfiles/open-xchange-0.8.0-1.tar.bz2'  
Resolving distfiles.gentoo.org... 140.211.166.134, 156.56.247.195,  
216.165.129.135  
Connecting to distfiles.gentoo.org[140.211.166.134]:80... connected.  
HTTP request sent, awaiting response... 404 Not Found  
21:04:24 ERROR 404: Not Found.  
  
No digest file available and download failed.  
  
  
 
What do I need to do to fix this? 
 
 
Comment 120 Andreas Poszlovszki 2005-05-19 13:12:12 UTC
Created attachment 59319 [details]
open-xchange-0.8.0-r2

Fixed the above, got some free time...

Everytime a new version is released, open-xchange.org removes the old one!

I've also include the cool suggestions from SteveB with some modifications to
allow more database backends (better their JDBC connectors) in future.

But the ebuild still needs some work and of course some testing.
(MySQL, ORACLE, MSSQL, MSQL, ...)

greets Andreas
Comment 121 Andreas Poszlovszki 2005-05-19 13:57:27 UTC
Created attachment 59327 [details]
open-xchange-0.8.0-r2.ebuild

Noticed too late that

--with-jsdkjar=$(java-config --classpath=$(java-config -l | sed -n
"s:^\[\(servletapi-2\.[456789][^]]*\)\].*:\1:p" | head -n 1)) \

causes some trouble? with javac compilation, and i don't know why.
I had to replace it with the older code.
Comment 122 Mark 2005-05-20 08:15:00 UTC
if you are upgrading using the ebuild the only thing you need to do to upgrade is

1) emerge new ebuild
2) mv /var/www/localhost/cgi-bin/open-xchange/loign.* /var/www/localhost/cgi-bin/
3) delete /var/www/localhost/cgi-bin/open-xchange. step 2 and 4 are necessary
becuase the ebuild dumps the login.* files into a directory "open-xchange"
however all the scripts etc look for the scripts in  <path>/cgi-bin/
4) cp /usr/lib/open-xchange/*/war /opt/tomcat5/webapps/
5) re-edit /opt/tomcat5/wabapps/umin/WEB-INF/classes/oxuserminconfig.properties
to  reflect your ldap server

Is this all you have to do? Just wnat to make sure I am not missing something.
Comment 123 Mark 2005-05-30 13:48:03 UTC
I cant seems to access the filespool by webdav but by the front-end I can
upload/download files just fine. I get this error when attempting to access the
webdav dir from firfox. (See below) The filespool is owned by apache:apache.


(https://pathtosite/servlet/webdav.documents

=======
type Exception report

message

description The server encountered an internal error () that prevented it from
fulfilling this request.

exception

javax.servlet.ServletException: Can't access the filespool: Permission denied
	com.openexchange.webdav.documents.oxinit(documents.java:122)
	com.openexchange.tools.webdav.OXServlet.init(OXServlet.java:136)
	org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:117)
	org.apache.coyote.tomcat5.CoyoteAdapter.service(CoyoteAdapter.java:160)
	org.apache.jk.server.JkCoyoteHandler.invoke(JkCoyoteHandler.java:300)
	org.apache.jk.common.HandlerRequest.invoke(HandlerRequest.java:374)
	org.apache.jk.common.ChannelSocket.invoke(ChannelSocket.java:743)
	org.apache.jk.common.ChannelSocket.processConnection(ChannelSocket.java:675)
	org.apache.jk.common.SocketConnection.runIt(ChannelSocket.java:866)
	org.apache.tomcat.util.threads.ThreadPool$ControlRunnable.run(ThreadPool.java:683)
	java.lang.Thread.run(Thread.java:534)

note The full stack trace of the root cause is available in the Apache
Tomcat/5.0.27 logs.
Comment 124 Rado 2005-06-14 02:18:43 UTC
Created attachment 61190 [details]
Open-Xchange init

Open-Xchange init gentooished
Comment 125 Rado 2005-06-14 02:26:35 UTC
Created attachment 61191 [details]
open-xchange-0.8.0-r3.ebuild

Open-Xchange 0.8.0-3 is out. I added RESTRICT="primaryuri" in this ebuild since
Open-Xchange distfile isn't not in official  mirror yet.
Comment 126 corey 2005-06-14 02:52:28 UTC
   
Sorry that this is probably not the most proper place for this question - but   
I'm wondering if any of you open-xchange.ebuild users have any good/decent   
installation and configure guides or notes?  After installing the ebuild, what   
do you do to configure it all to work, and from what document/source did you   
learn to do it?   
   
Do you just kind of follow along w/ the HOWTO on Gentoo?    
( http://www.mikefetherston.ca/OX/html/index.html )   
   
Also, in the future, where is the best place for "support" sort of questions 
such as these?  ( I didn't post in the gentoo forums, because I was afraid that 
not many people are using this ebuild. ) 
  
Many thanks!    
Comment 127 steveb 2005-06-14 06:16:35 UTC
@Rado: How about adding some info where to put the diffrend files? I don't see  
anywhere in the -r3 ebuild a reference to the init script (well I see where the  
init script get's installed, but I don't see it beeing installed from 
FILESDIR).  
Comment 128 steveb 2005-06-14 07:06:50 UTC
How about adding additional variables for the configure script? Something like 
this: 
 
if [ -z "${OX_DOMAIN}" ] ; then 
	echo 
	ewarn "The environment \$OX_DOMAIN was not set. I will take the 
default" 
	ewarn "value 'example.org'." 
	echo 
	OX_DOMAIN="example.org" 
	FAIL=1 
fi 
if [ -z "${OX_ORG}" ] ; then 
	echo 
	ewarn "The environment \$OX_ORG was not set. I will take the default" 
	ewarn "value 'Example Org'." 
	echo 
	OX_ORG="Example Org" 
	FAIL=1 
fi 
if [ -z "${OX_BASEDN}" ] ; then 
	echo 
	ewarn "The environment \$OX_BASEDN was not set. I will take the 
default" 
	ewarn "value 'dc=example,dc=org'." 
	echo 
	OX_BASEDN="dc=example,dc=org" 
	FAIL=1 
fi 
if [ -z "${OX_ROOTDN}" ] ; then 
	echo 
	ewarn "The environment \$OX_ROOTDN was not set. I will take the 
default" 
	ewarn "value 'cn=Manager,dc=example,dc=org'." 
	echo 
	OX_ROOTDN="cn=Manager,dc=example,dc=org" 
	FAIL=1 
fi 
if [ -z "${OX_ROOTPW}" ] ; then 
	echo 
	ewarn "The environment \$OX_ROOTPW was not set. I will take the 
default" 
	ewarn "value 'secret'." 
	echo 
	OX_ROOTPW="secret" 
	FAIL=1 
fi 
 
 
 
 
And this to the configure script: 
--with-domain=\"${OX_DOMAIN}\" \ 
--with-organization=\"${OX_ORG}\" \ 
--with-basedn=\"${OX_BASEDN}\" \ 
--with-rootdn=\"${OX_ROOTDN}\" \ 
--with-rootpw=\"${OX_ROOTPW}\" \ 
 
 
 
 
cheers 
 
SteveB 
Comment 129 Rado 2005-06-15 04:58:15 UTC
Created attachment 61270 [details]
open-xchange-0.8.0-r3.ebuild

Added openexchange init.d in FILESDIR
See comments #127
Comment 130 Andreas Poszlovszki 2005-06-20 11:06:20 UTC
@(corey)

afaik there is no complete manual for installing/configuring open-xchange with
all the software it depends.

but there are some articles in the gentoo wiki
http://gentoo-wiki.com/HOWTO_Open-Xchange
and also for the depencies (databases, apache, ldap, ...)

hope this helps...
Andreas
Comment 131 steveb 2005-07-03 19:12:59 UTC
Created attachment 62568 [details]
open-xchange-0.8.0-r4.ebuild

New ebuild for open-xchange 0.8.0-4
Comment 132 Rendhalver 2005-08-04 04:41:37 UTC
hi guys.
there is an ebuild for mod_perl-2.0.1 in portage now.
and has been unmasked.
this may solve some of your problems.

please test and see if it helps.
thanks.
Comment 133 Wulf Krueger (RETIRED) gentoo-dev 2005-08-16 10:51:32 UTC
I tried to use open-xchange-0.8.0-r4.ebuild.

Several problems:

1. The Tomcat path is hardcoded as "/opt/tomcat5". This is incorrect with
respect to recent Tomcat ebuilds. 

2. The servlets don't seem to be installed at all (or I can't find them :) ) due
to an error shown below:

chmod 755
/var/tmp/portage/open-xchange-0.8.0-r4/image//usr/share/webapps/open-xchange/0.8.0-r4/hostroot/cgi-bin/login.pl
chmod 600
/var/tmp/portage/open-xchange-0.8.0-r4/image//etc/open-xchange/admintools.conf
 * (server owned)
--------------------------------
cp: cannot stat
`/usr/local/overlays/portage/www-apps/open-xchange/files/openexchange': No such
file or directory
install: cannot stat `/var/tmp/portage/open-xchange-0.8.0-r4/temp/openexchange':
No such file or directory
--------------------------------
man:
info:
prepallstrip:
strip: i686-pc-linux-gnu-strip --strip-unneeded
strip: i686-pc-linux-gnu-strip --strip-unneeded
   usr/lib/open-xchange/liboxssl.so.1.0.0
>>> Completed installing open-xchange-0.8.0-r4 into
/var/tmp/portage/open-xchange-0.8.0-r4/image/

3. If MySQL is to be used as the database backend it needs to be a version >=4.1
because support for subselects/subqueries was introduced in 4.1. Thus, there
should a corresping dependency.

4. PostgreSQL: I couldn't find any information about OX requiring a version <
8.0. Nevertheless, there's such a dependency in this ebuild. Did I miss something?

5. Since there's nothing to break until this ebuild makes its way into portage,
all misspellings of "open-xchange" should be corrected to avoid confusion.
Currently, I noticed both "openexchange" and "open-xchange".

6. I expect none of the other attachments are needed anymore? (Like
Open-Xchange_init) If so, they should better be marked as obsolete.
Comment 134 Martin Nowack 2005-08-20 05:29:39 UTC
Created attachment 66393 [details]
new open-xchange-ebuild

*changed it a little bit - removed openExchange-typos
*added more information for ox_dbname, ox_dbuser, ox_dbpass
*semi-merged ox_basedn and ox_rootdn
*mentioned that ox_rootpw is ldap!!!-password

* removed postgresql-restriction
* warn about ssl-usage for tls-component-communication
* corrected handling of german-ispell-dictionary

* log-files are now saved under /var/log/open-xchange

pkg_config()-section
* added symlink from open-xchange-schema to /etc/openldap/schema

hope i didn't forget something.

please provide feedback =)
Comment 135 Martin Nowack 2005-08-20 05:32:24 UTC
Created attachment 66394 [details]
{$FILESDIR}/open-xchange

* corrected something in dep to use
Comment 136 Wulf Krueger (RETIRED) gentoo-dev 2005-08-20 07:03:21 UTC
Martin, the following issues arise using your ebuild:

- Missing "fi" on line 399

- There's now a dependency on PostgreSQL >= 8. I just wanted to know if there's
something wrong with using PG8 instead of 7.4. :-)
If using either 7.4 or 8 works, the dependency should be >=7.4. 

- Several problems here: myconf="${myconf}
--with-servlerdir=/opt/tomcat5/webapps/servlet" 

The tomcat path is still wrong (see next comment) and it's "--with-servletdir".
(Mind the "t"!)

- Several more references to the wrong tomcat path. Maybe it would be better to
check for the correct path instead of hard-coding it?

- KEYWORDS should really be "~x86".

I'll give the ebuild a thorough practical try later today.
Comment 137 Wulf Krueger (RETIRED) gentoo-dev 2005-08-20 07:10:21 UTC
Ok, OX seems to work using PostgreSQL 8.0. There *might* be some problems, though. 

Check 

http://www.open-xchange.org/cgi-bin/simpleforum.cgi?fid=02&topic_id=1106738844&highlight=postgresql

for details.
Comment 138 Martin Nowack 2005-08-20 07:16:44 UTC
Created attachment 66402 [details]
open-xchange-0.8.1.ebuild

* fixed closing fi
* enhanced ssl-check
Comment 139 Wulf Krueger (RETIRED) gentoo-dev 2005-08-20 11:51:44 UTC
Martin, all in all, your ebuild works nicely now. 

Issues still to be resolved, IMHO (compiled from all my comments so far):

- Mark as unstable ("~x86")

- Handle the Tomcat path correctly (version-dependent).

- "--with-servlerdir" must be "--with-servletdir"

- If MySQL is to be used as the database backend it needs to be a version >=4.1
because support for subselects/subqueries was introduced in 4.1. Thus, there
should a corresponding dependency.

- PostgreSQL: Handle the version (7.x vs. 8.x) correctly. Consider
http://www.open-xchange.org/cgi-bin/simpleforum.cgi?fid=02&topic_id=1106738844&highlight=postgresql

- Create /var/log/open-xchange during installation or the init script will complain.

Anyway, great work so far, guys, thanks! 
Comment 140 steveb 2005-08-20 19:48:48 UTC
Getting Tomcat directory could be done with: 
java-config -g CATALINA_HOME 
 
 
Comment 141 Martin Nowack 2005-08-22 15:41:54 UTC
Created attachment 66592 [details]
open-xchange-0.8.1.ebuild

* fixed the mysql-check (thanks to Philantrop)
* changed postgres-usage to be more alternative
* fixed the tomcat-check (thanks to steveb)
* fixed "--with-servletdir" but is not used by "./configure" could be obsolete
* copy into servletdir 
* typo and ~x86

Should other languages be installed too, like in kde or openoffice?

Thank you for help.
Comment 142 Martin Nowack 2005-08-23 15:00:00 UTC
Created attachment 66692 [details]
open-xchange-0.8.1.ebuild

* updated ssl-support (key,cert for sessiond and groupware)
* patching of login/login.pm is needed for enabling ssl-support
Comment 143 Martin Nowack 2005-08-24 16:31:25 UTC
Created attachment 66817 [details]
open-xchange-0.8.1.ebuild

Now i checked it realy by myself installing using emerge not only testing with
ebuild.

It should now install without any problem and also in the correct
tomcat-directory.

* fixed tomcat-directory
* fixed ssl-check
Comment 144 Martin Nowack 2005-08-24 16:34:07 UTC
Created attachment 66818 [details]
open-xchange-0.8.1-r1.ebuild

* the new version "ox-0.8.1.1"
- some speedimprovement for SQL
- everything can communicate with everything securly ;)

- many fixes and improvements
Comment 145 Wulf Krueger (RETIRED) gentoo-dev 2005-08-25 12:07:03 UTC
Martin, some feedback:

- At least if using >=www-servers/tomcat-5.0.28-r4 SERVLETDIR should be

   SERVLETDIR="${tomcatdir}/server/webapps"

(Mind the "server" directory.)

- The path to the servlet-api is still hardcoded (search for "tomcat5"). It
should be:

   myconf="${myconf} --with-jsdkjar=${tomcatdir}/common/lib/servlet-api.jar"

- I have >=PostgreSQL-8 masked. The modified dependency for postgres makes
emerge bark about unsatisfied dependency even though you made it an OR
condition. Thus I changed the order of the statement which is strange to me but
at least it works:

postgres? ((<dev-db/postgresql-8 dev-java/jdbc3-postgresql) ||
(>=dev-db/postgresql-8 >=dev-java/jdbc3-postgresql-7.4))"

Strangely enough, like this emerge doesn't complain if 7.x is masked.

- Personally, I think other languages than English and German should be
optionally installed by specifying a LINGUAS variable like the
OpenOffice.org-ebuild allows the user to do.
Comment 146 Martin Nowack 2005-08-25 15:48:36 UTC
Created attachment 66890 [details]
open-xchange-0.8.1-r1.ebuild

First: Thanks to Philantrop =)
==============================
the open-xchange-0.8.1-r1.ebuild could be also use for ox-0.8.1 just rename the
ebuild (thats why i removed the old one)

Fixes/Enhancements
* insert distinguish between different tomcat 5.0-versions
* hardlink to tomcat-5 removed - is now calculated
* fixed the postgresql-selection

language-selection will be added next ;)

please test again. Should we open a thread in the forum for better discussion?

idea: should we insert a configuration-detection to read out the current config
from "/etc/open-xchange/admintools.conf" for a more easy update?
Comment 147 Jeremy Huddleston (RETIRED) gentoo-dev 2005-08-25 22:05:04 UTC
Don't use the -rX as part of the upstream version.  Upstream should fix their
version string, or we can fake it for now by calling it
open-xchange-0.8.1.1.ebuild and we can change the last . to a - for SRC_URI and
S.  I'll take a look at it a bit further in the next few days, but a forums post
would  certainly be helpful and bring in some more testers/attention.
Comment 148 Jeremy Huddleston (RETIRED) gentoo-dev 2005-08-25 22:09:05 UTC
if use postgres; then
	if has_version '<dev-db/postgresql-8'; then
		DEPEND="${DEPEND}
			dev-db/postgresql
			dev-java/jdbc3-postgresql"
	else
		DEPEND="${DEPEND}
			>=dev-db/postgresql-8
			>=dev-java/jdbc3-postgresql-7.4"
	fi
fi

That cannot be in global scope.  I'm assuming <dev-java/jdbc3-postgresql-7.4
doesn't work with dev-db/postgresql-8?  Is that in general or for some reason
the case with just this package?  If it's in general, then
<dev-java/jdbc3-postgresql-7.4 needs to be updated to block postgresql-8.
Comment 149 Jeremy Huddleston (RETIRED) gentoo-dev 2005-08-25 22:55:11 UTC
Created attachment 66902 [details]
open-xchange-0.8.1.1.ebuild

Ok, here's a quick edit to fix some issues in your 0.8.1-r1 ebuild.  Please
look at every place I added a COMMENT: and fix the issue I describe, reply to
the comment, etc... I haven't tested it or anything yet, so I'd like to get an
acceptable ebuild first before I try testing this out for possible inclusion...
Comment 150 Jeremy Huddleston (RETIRED) gentoo-dev 2005-08-25 23:00:46 UTC
Oh and Martin, please come talk to me on IRC when you get the chance, thanks.
Comment 151 Mark 2005-08-26 08:39:43 UTC
can one upgrade from 8.0.5 to 8.1.1 just by running the ebuild or are there
databases changes etc that need to be resolved manually?
Comment 152 Jory A. Pratt 2005-08-26 15:01:16 UTC
net-mail herd has no objections to eradicator being maintainor on this.
eradicator thanks for taking this  under your wing.
Comment 153 Martin Nowack 2005-08-27 14:54:07 UTC
Created attachment 67034 [details]
open-xchange-0.8.1.1.ebuild

* updated almost all suggestion from Jeremy (Big Thanks)

OX-Autodetect
=============
* added an configuration-autodetect feature for already installed ox-version
(configuration must resist under /etc/open-xchange)
* you have to set OX_AUTODETECT=1 and everything should be detected except the
domain have to be set as OX_DOMAIN

Update from prior versions
==========================
* the ebuild could also be used for 0.8.1.2
* updating from 0.8.1.1 to 0.8.1.2 could be done by emerge but currently the
webapp-script deletes the login.pl and login.pm in the cgi-bin-directory you
have to rename the existing semi-diff files to this one

@Mark: their haven't been any changes of the initialising sql- and ldap-script
between 0.8.0.5 till 0.8.1.2 so their doesn't seam to be any structural changes
(olso noticed nothing from the changelog). How did you install the open-xchange
(by the tutorial from Mike Fetherstone - theoretically you have to take care of
your: 
* LDAP
* your Database
both are especially used for address and user-management, forum, links, ...
* the filespool and settings-directory is used for the files which you manage
this are the main things which i've got in mind.
hopefully that helps you.
Comment 154 Mark 2005-08-28 02:16:53 UTC
HI thanks for the feedback. I have upgraded to 0.8.1.2 and all seems fine. I
used the ebuild to install the old 0.8.0.5 version.


Just one question. I still have to copy cfintranet from its default install in
/var/www/localhost/htdocs/open-xchange/ to /var/www/localhost/htdocs each time I
do an emerge. Are others still experiencing this or is it just me?
Comment 155 Martin Nowack 2005-08-28 08:07:32 UTC
>HI thanks for the feedback. I have upgraded to 0.8.1.2 and all seems fine. I  
>used the ebuild to install the old 0.8.0.5 version.  
Great =)  
  
>Just one question. I still have to copy cfintranet from its default install in  
>/var/www/localhost/htdocs/open-xchange/ to /var/www/localhost/htdocs each time  
>I do an emerge. Are others still experiencing this or is it just me?  
Yes, the problem is the webapp-script which tries to create a  
"program-name"-directory in htdocs, i will try to fix it.  
A semi-solution to the problem is, if you create a symlink named cfintranet to  
the /open-xchange/cfintranet in htdocs. The problem is, you have to enable the  
follow-symlinks-option in apache this could be a security risk.  
  
Comment 156 Martin Nowack 2005-08-28 09:19:46 UTC
Created attachment 67087 [details]
open-xchange-0.8.1.1.ebuild

* changed the path from /cfintranet/ to /open-xchange/cfintranet/ this should
avoid the symlinking and other dirty hacks

if i forgot something please add a comment
Comment 157 Martin Nowack 2005-09-01 03:08:42 UTC
Created attachment 67399 [details]
open-xchange-0.8.1.1.ebuild

* added OpenLDAP-warning if openldap-version 2.1.*
Comment 158 Martin Nowack 2005-09-02 15:34:57 UTC
Created attachment 67511 [details]
open-xchange-0.8.1.1.ebuild

* corrected file-handling for webserver owned files
Comment 159 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-03 11:46:44 UTC
Get rid of the !postgres stuff in DEPEND since you will default to postgres. 
Therefore, you don't need the postgres USE flag.  Just have the mysql use flag
determine this.

Do the:
sed -i "s|\${DESTDIR}|\$(DESTDIR)|g" Makefile.am
and send a bug report about it upstream.

change ${get_libdir} to $(get_libdir)

If emake doesn't work, it might be a concurrency problem.  Try 'emake -j1' and
report the problem upstream.

Looks good, though.  Youu should prolly bump the ${PV} since there's a new
releasse too.  I just setup ldap here, so I'll be trying it out sometime next
week I hope.
Comment 160 Martin Nowack 2005-09-03 16:32:40 UTC
Created attachment 67595 [details]
open-xchange-0.8.1.2.ebuild

* removed !postgres dep-stuff
* sed the Makefile.am and opened a ox-bug #656
* changed ${get_libdir} to $(get_libdir)
* changed to 'emake -j1' (the problem is the usage of ant, Autodependency not
calculated correctly)
* version bumped
Comment 161 Martin Nowack 2005-09-08 01:31:56 UTC
Created attachment 67907 [details]
open-xchange-0.8.1.2.ebuild

* fixed handling of newer tomcat-5 versions with new file-layout (files are now
stored under CATALINA_BASE/webapps that means for the most of us
/var/lib/tomcat-5/default/webapps
* fixed symlinking the open-xchange.schema
Comment 162 Erlend Aasland 2005-09-13 15:11:27 UTC
It seems like the icons for Contacts and Tasks are swapped. It makes sense to
swap the addresses*.png and tasks*.png icons under cfintranet/images/top/{EN,DE}.
Comment 163 Martin Nowack 2005-09-14 15:53:06 UTC
(In reply to comment #162) 
> It seems like the icons for Contacts and Tasks are swapped. It makes sense to 
> swap the addresses*.png and tasks*.png icons under 
cfintranet/images/top/{EN,DE}. 
 
Hmm, thanks for the tip. The problem it is subjectiv, e.g. if you look at 
projects*.png you could interpreted it as: "a project is an accumulation of 
tasks", thats why there are "many people" (project) vs. "one" (task). 
 
So, this should be changed too.  
Comment 164 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-15 21:45:08 UTC
Ok, I'd like to get this in this weekend... just a few more points I'd like to
see addressed:

1) Your dosed in src_compile still isn't doing anything.  dosed operates on
${D}/Makefile

dosed "s|oxservletdir =|oxservletdir = ${SERVLETDIR}|g" Makefile
changes
${D}/Makefile

So you should change it to sed -i.

2) Get rid of that dbms counter checking code stuff as it's not neccessary since
! use mysql => use postgres.

3) For those users following this, what are your success/failures using the
different dbms?

4) Create a pkg_config() which will create self-signed keys if they don't
already exist.  Not all users know how to make those.
Comment 165 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 00:53:42 UTC
Created attachment 68648 [details]
files/init.d.open-xchange
Comment 166 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 00:55:09 UTC
Created attachment 68650 [details]
open-xchange-0.8.1.2.ebuild

Ok, I cleaned it up a bit more... notice the [[ usage rather tha [... also
fixed up some ${ROOT} problems and " usage.  Please address the points I
brought above as well as those marked with COMMENT: in the ebuild.
Comment 167 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 10:35:46 UTC
Also, it should be possible to set the db user, pw, ldap domain, etc AFTER
install...
Comment 168 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 11:00:13 UTC
Also, looks like the classpath isn't automatically set right:

compilewebdav:
    [javac] Compiling 386 source files to
/var/tmp/portage/open-xchange-0.8.1.2/work/open-xchange-0.8.1-2/build
    [javac]
/var/tmp/portage/open-xchange-0.8.1.2/work/open-xchange-0.8.1-2/src/com/openexchange/tools/servlet/multipart/MultiPartParser.java:55:
package javax.servlet.http does not exist
    [javac] import javax.servlet.http.HttpServletRequest;

Martin, come ping me on IRC when you get a chance, and we can work through the
remaining issues and get it committed soon =)
Comment 169 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 14:31:15 UTC
ok, well going up to www-servers/tomcat-5.0.28-r4 from
www-servers/tomcat-5.0.27-r6 alleviated the java compilation problem.  I think
we should just force >= that version rather than attempt to support the older
tomcat versions... plus that will remove the conditionals later on and make
things cleaner.
Comment 170 Martin Nowack 2005-09-17 17:16:46 UTC
Created attachment 68695 [details]
open-xchange-0.8.1.2.ebuild

* changed tomcat-dependency to version using newer layout
* added ssl-key creation
Comment 171 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 18:16:40 UTC
Created attachment 68701 [details]
open-xchange-0.8.1.2.ebuild

I moved the docert stuff into src_install.  The main issue remaining is the
dbname, dbpass, ldappass, etc being set at compile time.
Comment 172 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 18:18:54 UTC
oh, you should also do a:

keepdir /var/open-xchange/filespool

in src_install
Comment 173 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 18:25:31 UTC
Created attachment 68702 [details]
files/init.d.open-xchange
Comment 174 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 18:26:55 UTC
And do:
keepdir /var/log/open-xchange
Comment 175 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 18:32:57 UTC
Also, the web access is a bit unintuitive.  You're installing some stuff into
/usr/share/open-xchange, and you're using webapp as well which installs other
stuff into /var/www/localhost/htdocs/open-xchange.
Comment 176 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 21:15:29 UTC
Created attachment 68705 [details]
open-xchange-0.8.1.2.ebuild

Ok, well tomcat 5.0.28 is giving me more trouble than 27 on some systems, so I
think now it's best to support 5.0.27 as well... People just need to be careful
to install the package on a system with the same version of tomcat that it was
built on.  Once tomcat gets cleaned up, we can bump the dependency for better
binpkg support.

Additionally, if we build with 5.0.27, we need to ensure that servletapi-2.4 is
in the classpath otherwise it won't build.
Comment 177 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-17 21:59:21 UTC
Created attachment 68706 [details]
open-xchange-0.8.1.2.ebuild

Ok, here's a bit more work... just some cleanup, fix the *.wars installing to
the wrong location (a bug I introduced with the last version), some user
documentation, and added mod_jk to RDEPEND.

I still don't have it up and running on my system yet...
Comment 178 Martin Nowack 2005-09-20 17:15:33 UTC
Created attachment 68895 [details]
open-xchange-0.8.1.2.ebuild

many things ;)

*moved after-configuration to pkgpre
*hopefully all missing steps in config-section added

*changed directory-owner
*changed ssl-handling
...
Please report bugs and enhancements.

@Jeremy please drop me a note =)

Hope this get us a step further.
Comment 179 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 01:01:58 UTC
Ok... at a quick glance the only thing I'd do is move the stuff at the top of
preinst (which gets the dbname, etc) to pkg_config().  Additionally, instead of
doing default values, I'd go for prompting the user (and assume a default if
they just hit enter).
Comment 180 Martin Nowack 2005-09-21 10:57:27 UTC
Created attachment 68946 [details]
${FILESDIR}/88_mod_jk.ox.conf

* new file for ox, should be used for easely enabling the servlets through
mod_jk for apache-2

This files gets automatically enabled when using the "-D JK" options for apache
and doesn't involve editing mod_jk files, somehow like plug-n-plag *g*

this file is used by the new ebuild
Comment 181 Martin Nowack 2005-09-21 11:12:49 UTC
Created attachment 68947 [details]
open-xchange-0.8.1.2.ebuild

* corrected user-rights
* added some ldap-stuff

Please be carefull with the init-script, I've currently issues with it stalling
at start.
Comment 182 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 12:14:40 UTC
Created attachment 68959 [details]
open-xchange-0.8.1.2.ebuild

I moved some config stuff to pkg_config, moved the apache2 mod_jk to
src_install, readded IUSE=posstgres, and set it so postgres will be selected if
USE="postgres mysql" or USE="-postgres -mysql"

Please look through the comments in the ebuild again, thanks.
Comment 183 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 12:18:58 UTC
Created attachment 68960 [details]
open-xchange-0.8.1.2.ebuild

whoops... forgot to save first ...
Comment 184 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 12:21:37 UTC
Created attachment 68961 [details]
open-xchange-0.8.1.2.ebuild

whoops... forgot to save first ...
Comment 185 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 14:29:53 UTC
Created attachment 68968 [details]
open-xchange-0.8.1.2.ebuild

A few bug fixes from the past few hours working on it with martin.
Comment 186 Martin Nowack 2005-09-21 16:43:11 UTC
Created attachment 68973 [details]
open-xchange-0.8.1.2.ebuild

What should I say.
We've corrected many things (like patching the umin.war-file) 
The config should configure everything (hopefully) in two steps first
determining from current config and second ask the user.

Have fun =)
Comment 187 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 18:16:32 UTC
Created attachment 68981 [details]
open-xchange-0.8.1.2.ebuild

Cleaned up pkg_config a little bit to make it more readable and less redundant.
 Fixed a bug so the war gets edited properly on older tomcats
Comment 188 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 18:20:39 UTC
s/--password=/--passwd=/ in the add user HOWTO.
Comment 189 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 20:41:58 UTC
I still can't authenticate.  I added the user with adduser_ox and verified that
it was created in ldap, but when I try logging into o-x, I get the following in
my sessiond.log and ldap doesn't report any connection attempt:

Sep 21 20:30:51 localhost openexchange: Invalid name: /dc=gen-ux,dc=com
Sep 21 20:30:51 localhost openexchange: SocketHandler.doAuthentification:
java.lang.NullPointerException
java.lang.NullPointerException
        at
com.openexchange.sessiond.SocketHandler.doAuthentification(SocketHandler.java:551)
        at com.openexchange.sessiond.SocketHandler.runStream(SocketHandler.java:411)
        at com.openexchange.sessiond.SocketHandler.run(SocketHandler.java:243)
        at java.lang.Thread.run(Thread.java:534)
Sep 21 20:30:51 localhost openexchange: Authentication failed for user: jeremy
Sep 21 20:30:51 localhost openexchange: ERROR: Authentification failed
Comment 190 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 22:11:28 UTC
> java.lang.NullPointerException
>         at
>
>com.openexchange.sessiond.SocketHandler.doAuthentification(SocketHandler.java:551)

I put in some checks there, and this call:

AuthenticationSupport as = Factory.newAuthenticationSupport(oslv);

is resulting in as being set to null... LDAPBASE is set correct...
Comment 191 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 22:37:50 UTC
Ok, the problem is that in /etc/openldap/ldap.conf, I had:
URI             ldaps://ldap.gen-ux.com:636/

o-x didn't like that... it barfed and requires:
URI             ldaps://ldap.gen-ux.com:636
Comment 192 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-21 23:24:28 UTC
Created attachment 68991 [details]
.htaccess

Also, here's the .htaccess I have for my config... I'll need to make it more
general, but it might be useful for someone here...
Comment 193 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-22 00:05:59 UTC
We should also tell the user settings to put in /etc/openldap/slapd.conf so o-x
users can edit their name, timezone, location, etc...  It's prolly on the
website, but if nobody digs it up, I'll write it in the next few days... I can't
really work on this tomorrow, so please people test this out and report any
problems.  I think we're almost done =)
Comment 194 Martin Nowack 2005-09-22 02:02:06 UTC
Created attachment 68993 [details]
${FILESDIR}/slapd.ox.inc.in

a new "plug-n-play" (emph.: play) for an initial "Access Control List".
This should enable you let users change their password.

What is missing:
* let user add a new categorie for their contacts (local and global) is
currently not allowed, but adding the contact itself is no prob.
* not security enhanced

enable this by adding following line in slapd.conf

include /etc/openldap/slapd.ox.inc

new ebuild is using it and create this file with right basedn
Comment 195 Martin Nowack 2005-09-22 02:08:39 UTC
Created attachment 68994 [details]
open-xchange-0.8.1.2.ebuild

* added acl-stuff
* changed the include order for slapd-entries

@Jeremy, should we merge the two ldap-sections in pkg_config?

we are getting closer and closer to our goal ;)
Comment 196 Martin Nowack 2005-09-22 04:47:14 UTC
Ok, some step further for SSL-support: 
 
make a  
 
chown 
tomcat:apache /etc/open-xchange/groupware/sslcerts/oxCERTS/groupwarekey.pem 
chmod 440 /etc/open-xchange/groupware/sslcerts/oxCERTS/groupwarekey.pem 
 
after restarting ox, you should be able to connect to sessiond. 
But after the redirecting screen nothing happens and after a while you get 
redirected to the login. 
 
after that you have to restart ox. 
Comment 197 Martin Nowack 2005-09-23 04:03:47 UTC
sorry, slapd.ox.inc.in is incorrect: 
 
this leads to somehow incorrect group-support and as result disables 
webdav-support. 
currently have no time to fix it - just to let you be aware of it. 
Comment 198 Martin Nowack 2005-09-23 11:13:20 UTC
Created attachment 69097 [details]
${FILESDIR}/slapd.ox.inc.in

Corrected slapd.ox.inc file.

This acl let you set your own values. And also enables all the functions but
restricts in right form.

Also the index entry is integrated in this file an make the line from
slapd.conf obsolete
Comment 199 Martin Nowack 2005-09-23 11:22:17 UTC
Created attachment 69101 [details]
open-xchange-0.8.1.2.ebuild

* merged ldap-sections and shortened it a little bit.
Comment 200 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-23 19:45:06 UTC
access to *
    by self write
    by users read

That's rather dangerous.  You'd be letting users change their base group as well
as any other potential accounting information.  That should just be changed for
the address book, etc info.
Comment 201 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-23 19:54:58 UTC
Created attachment 69139 [details]
open-xchange-0.8.1.2.ebuild

updated to do the chowns for ssl, but still not working right with USE=ssl. 
After ogging in, I see the redirection message, and it pretty much stays
there...
Comment 202 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-23 20:08:08 UTC
Created attachment 69140 [details]
slapd.ox.inc
Comment 203 Martin Nowack 2005-09-24 02:41:54 UTC
(In reply to comment #201) 
> Created an attachment (id=69139) [edit] 
> open-xchange-0.8.1.2.ebuild 
>  
> updated to do the chowns for ssl, but still not working right with USE=ssl.  
> After ogging in, I see the redirection message, and it pretty much stays 
> there... 
 
Yes, thats right. Their are two bugs in "/var/www/localhost/cgi-bin/login.pm" 
found them last night. 
In the verry beginning of the file ther is a declaration: 
 
my $ssl_ca_file = "... " <-- at the end in the string is a space sign (1 
fault), leading to not find the ca-file 
 
my $ssl_verify_mode = '0x01'; 
must be 
my $ssl_verify_mode = 0x01; # these are hex digits 
 
Now my storry of pain *g*, 
after fixing this, creating right certificates etc. the issue still remains. 
Means Communication between apache/perl and sessiond is encrypted and 
functioning but communication between sessiond and groupware don't - this issue 
still remains. 
 
Opened a bug at ox #734. 
 
But a nice information #656 is fixed with the next release with ox. 
 
Comment 204 Jeremy Huddleston (RETIRED) gentoo-dev 2005-09-24 13:40:25 UTC
Martin, would you mind getting me a patch for the login.pm problems.  Also, I've
committed the package to the tree, but it's still in package.mask while we work
out the remaining kinks.
Comment 205 Martin Nowack 2005-09-24 16:12:08 UTC
Created attachment 69179 [details, diff]
${FILESDIR}/login.pm.in.patch

Ok, here is the patch for the login.pm.in.patch

can be easely applied to the ebuild

src_unpack(){
...
cd ${S}
epatch ${FILESDIR}/login.pm.in.patch
}

Ok, for debugging purposes.
If things fail between the login.pm and sessiond it is saved in apache
logfiles.
For complications between both backend components it states something in the
ox-logs.

I think for the bug we will not hear anything from ox developers untill Monday.
Comment 206 Martin Nowack 2005-09-25 02:34:34 UTC
Created attachment 69205 [details, diff]
patch for open-xchange

I hope a patch is less work for you.

* fixed the servlet-api dependency because servlet-api is already provided with
tomcat

* fixed the autodetect feature
Comment 207 Martin Nowack 2005-09-29 22:10:45 UTC
Hi Jeremy, 
could you please insert ox-0.8.0.6 in portage also(it was released yesterday), 
because the ox-0.8.1 tree is the development version. It could be better for a 
production environment to use the 0.8.0 tree. The ebuild should be the same. So 
no realy work =) 
 
greetings 
Martin 
Comment 208 Jeremy Huddleston (RETIRED) gentoo-dev 2005-10-01 11:59:47 UTC
I would certainly consider adding the 0.8.0 series to portage once the ebuild
gets finished... right now there are still a few issues we need to work out:

1) The user needs to re 'ebuild config' after updates.  I think it might be good
to autodetect in preinst, setup the files in ${D} with the values there, then
setup permissions and stuff in postinst

2) This doesn't quite work too well if we have USE=vhosts and place o-x in the
main web.  Everything pretty much assumes it's in an 'open-xchange' directory
under the web root.

3) Can anyone verify that the ldap permissions security problem doesn't exist in
0.8.0?  If it does, I don't want to release it until there is a proper fix.

4) Is the ssl problem present in 0.8.0?
Comment 209 tomas charvat 2005-10-03 08:05:49 UTC
OX-08.1.2 Depend on zip, but when you emerge it, it wont tell you.
So if your system is missing [  emerge zip -p ] , then you will get some errors
during 
ebuild /var/db/pkg/www-apps/open-xchange-0.8.1.3/open-xchange-0.8.1.3.ebuild config
Comment 210 Jeremy Huddleston (RETIRED) gentoo-dev 2005-10-03 12:09:46 UTC
Thanks, Tomas.  It's been fixed in portage.

Unfortunately, I have been fired from GenUX, so I no longer have access to the system on which I was 
testing Open-Xchange.  I do not want to go through the hassle of setting up everything on a local 
chroot or vmware at this point, so I will not be able to give proper QA in order to maintain this ebuild 
(meaning I won't be addressing my remaining concerns listed in comment #208).

We got very far with this over the past month, and I'm very appreciative, but if someone doesn't take 
the reigns from here, I'm affraid o-x will not be getting out of package.mask, and thus will end up 
being removed from the tree.

Martin, you've put in a great deal of effort here, and if you would like to take those reigns, I'd be more 
than willing to mentor you into becoming a Gentoo dev, so you can maintain this package.  Please let 
me know if you're interested.
Comment 211 Mark 2005-10-04 14:21:23 UTC
Hi all,

Jeremy sorry to hear about you situation. I hope it works out. Thanks for all
the work.



Has anyone tried 0.8.1.3 yet?
Comment 212 Martin Nowack 2005-10-04 15:27:23 UTC
Hi Jeremy, 
I'm so sorry for situation. When I can help you somehow I will try my best. 
 
> Martin, you've put in a great deal of effort here, and if you would like to 
take those reigns, I'd be more  
> than willing to mentor you into becoming a Gentoo dev, so you can maintain 
this package.  Please let  
> me know if you're interested. 
It would be a great honor for me if you would be my mentor. 
And if I can help you let me know. 
 
Comment 213 Martin Nowack 2005-10-04 16:26:22 UTC
Hi Mark,   
> Has anyone tried 0.8.1.3 yet?  
Currently tried it what we've pay attention the ldap.schema has changed.  
  
SSL is still not working - but for the 0.8.0.6 it is working.  
  
Also the ldap permissions security problem still exists in both versions. 
 
In the ebuild the keys are not generated correctly because they are not signed. 
But the SSL problem still exists with 0.8.1.* versions. 
 
Comment 214 Mark 2005-10-04 22:09:19 UTC
Thanks for the response. The ldap schema changing sound bad. Is their a
migration of existing data or does one have to start from scratch? Hopefully it
is just changes to the schema that are optional so exisitng data does not need
to be updated?

I have moved the default location of there dn to take advantage of existing ldap
addressbooks and user entries.  


This could be real bad :(
Comment 215 Martin Nowack 2005-10-05 05:28:53 UTC
(In reply to comment #214) 
> Thanks for the response. The ldap schema changing sound bad. Is their a 
> migration of existing data or does one have to start from scratch? Hopefully 
it 
> is just changes to the schema that are optional so exisitng data does not 
need 
> to be updated? 
They didn't realy changed the structure they just changed oids to their new 
registered number at iana. this makes the attribute definitions realy unique. 
 
Being on the save side you should slapcat your database exchange the schemas 
and restart openldap. If it is functioning fine if not import the data from the 
slapcated file and it should be fine too. Or you can revert to the old schema. 
 
I've tested it here without any problems (just exchanging schemas and restart) 
- but the current server is just for testing and I inserted not too much data. 
 
hope that helps you 
Comment 216 Erlend Aasland 2005-10-10 02:53:48 UTC
Hello

I see that OX is now included in portage. Will this ebuild request still be the
place to follow the development of the OX ebuild, or will development/discussion
be moved to another forum?


Regards,
  Erlend Aasland
Comment 217 Jeremy Huddleston (RETIRED) gentoo-dev 2005-10-11 10:13:39 UTC
It will be here, and martin will be doing the bulk of the development and
testing as I nolonger have access to a testbed.
Comment 218 Wulf Krueger (RETIRED) gentoo-dev 2005-10-12 23:50:15 UTC
0.8.1.1 built fine for me but trying to emerge 0.8.1.3 this happened:

compilewebdav:
    [javac] Compiling 447 source files to
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/build
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:123:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:132:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:141:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:150:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:159:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:168:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:177:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:186:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:195:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:204:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:213:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                 value = el.getValue();
    [javac]                               ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:234:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                     if (map.getValue().length() > 0){
    [javac]                                ^
    [javac]
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/src/com/openexchange/tools/ldap/LDAPAddressbooks.java:236:
cannot resolve symbol
    [javac] symbol  : method getValue ()
    [javac] location: class org.jdom.Element
    [javac]                         mapping.put(map.getName().toLowerCase(),
map.getValue());
    [javac]                                                                    
    ^
    [javac] Note: Some input files use or override a deprecated API.
    [javac] Note: Recompile with -deprecation for details.
    [javac] 13 errors

BUILD FAILED
/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/build.xml:57:
Compile failed; see the compiler error output for details.

Total time: 35 seconds
make[1]: *** [java] Error 1
make[1]: Leaving directory
`/var/tmp/portage/open-xchange-0.8.1.3/work/open-xchange-0.8.1-3/javabuild'
make: *** [all-recursive] Error 1

Any ideas?
Comment 219 Martin Nowack 2005-10-13 02:24:46 UTC
Yes, please unmerge dev-java/jdom complete.
You certanly have two versions installed and after that emerge jdom again.
This should be all.
Comment 220 Wulf Krueger (RETIRED) gentoo-dev 2005-10-13 10:29:14 UTC
Indeed, that did the job. Thanks, Martin!
Comment 221 Mike McGranahan 2005-10-15 00:25:08 UTC
Hello, I've been following this discussion for a while and thought I'd finally
try installing open-xchange.  I apologize if my issue is not appropriate to this
discussion.  After unmasking the package and setting appropriate
ACCEPT_KEYWORDS, I receive the following during the emerge process:

>>> emerge (7 of 51) dev-java/commons-digester-1.6-r1 to /
>>> md5 files   ;-) commons-digester-1.6-r1.ebuild
>>> md5 files   ;-) files/digest-commons-digester-1.6-r1
>>> md5 src_uri ;-) commons-digester-1.6-src.tar.gz
>>> Unpacking source...
>>> Unpacking commons-digester-1.6-src.tar.gz to
/var/tmp/portage/commons-digester-1.6-r1/work
>>> Source unpacked.
Could not find package commons-beanutils-1.6

!!! ERROR: dev-java/commons-digester-1.6-r1 failed.
!!! Function java-pkg_getjar, Line 322, Exitcode 0
!!! Could not find commons-beanutils.jar in commons-beanutils-1.6
!!! If you need support, post the topmost build error, NOT this status message.

[...lots of javac messages...]

test.rule:
     [echo] Running Rule tests ...
     [java] .E.E.E.E.E.E.E.E.E.E.E..E.E.E
     [java] Time: 0.449
     [java] There were 14 errors:
     [java] 1)
testObjectCreate1(org.apache.commons.digester.RuleTestCase)java.lang.NoClassDefFoundError:
org/apache/commons/beanutils/BeanUtils [...]

[...13 more lines like this...]

     [java] FAILURES!!!
     [java] Tests run: 15,  Failures: 0,  Errors: 14


BUILD FAILED
/var/tmp/portage/commons-digester-1.6-r1/work/commons-digester-1.6-src/build.xml:467:
Java returned: 1

-=-=-=-

There were obviously quite of few unfulfilled dependencies when I ran the emerge
command for open-xchange.  I'm posting here to give you an idea of errors that
users performing a fresh emerge of open-xchange might encounter.  I'm totally
clueless with this java stuff, and I couldn't find any solutions on Google, nor
elsewhere in Gentoo Bugzilla.  Any suggestions on how to resolve this?  
Comment 222 Martin Nowack 2005-10-15 01:25:29 UTC
(In reply to comment #221)   
Thanks for this post, but it doesn't seam to be ox related.   
(I've got two machine one running with commons-digester package and one without   
- not a dependency for ox)   
   
The problem is the commons-digester needs beanutils-1.6.* but beanutils is not   
installed by your portage.   
   
Try emerge sync, possibly update portage and after that try it again.  
  
> >>> Unpacking commons-digester-1.6-src.tar.gz to  
> /var/tmp/portage/commons-digester-1.6-r1/work  
> >>> Source unpacked.  
> Could not find package commons-beanutils-1.6  
  
This is the problem but an appropriate package is in portage. 
 
Hope that helps.  
   
Comment 223 Martin Nowack 2005-10-19 02:20:24 UTC
Created attachment 70998 [details, diff]
open-xchange-0.8.1.3.ebuild.patch

Hi Jeremy,
I've send you an email (or two) - the problem is, the university mail server is
not always (some say never *g*) reliable as we want. Thats why I'm not sure if
it ever reached you. (I think of switching back to gmail).
Thats why I attached the patch to this bug.

What has changed:
* symlink directory has been created for webmail ssl
* ox is preconfigured during pkg_preinst but can also be configured with
config
* fixed --password to --passwd in config section
* pkg_postinst fixed some printouts e.g startup script (Big Thanks to Erland
Aasland)

For the ssl support this should be almost all functional (except the setup
link in ox-interface **) for ox-0.8.0.* versions but no luck for ox-0.8.1.*

** The setup part is also working but not a so nice solution - I'm currently
working on a patch.

Currently the ebuild can be also used as open-xchange-0.8.0.6.ebuild,
thats why the check on top of the file. I read this should be okay because
versionator.eclass is cache independent.

I would suggest to insert the 0.8.0* branch into portage on the one hand it is
stable branch and on the other ssl backend is (almost) working too.

For the upcoming version of portage config is executed with emerge --config
package-foo, so it is distinguished between both versions.

Hope I didn't forget anything.
Martin
Comment 224 James O'Malley 2005-10-21 08:32:38 UTC
I've been fighting with open-xchange authentication for the past couple of days.
 Since SSL has been buggy, I've disabled it with USE=-ssl.

What I have so far:
ldap configured and working.  adduser_ox works, and I can search and
authenticate with the users I have created.  ldap command line access works just
fine.  When I try to login via web slapd's debugging shows no errors, only a
successful login.
postgresql is working, shows logs for user additions
tomcat is working
apache is working

Is there some ssl weirdness going on that I have to disable.  sessiond.log shows
that I have it TLS turned off, but the sparseness of the authentication failed
messages has me baffled.  Upping the verbosity of open-xchange's sessiond
logging yields NO more information as to why I can't log in.

I've emerged open-xchange with a complete ~x86 deptree just to see if it was
required some "newness" that I didn't have.
I've emerged open-xchange with a just the ~x86 (using package.use) in packages
that absolutely required it.

Still nothing, just the "Error: Authentification failed" message.  What is
authentification anyway? *G*.

It seems that many people have run across this problem, but I have as of yet
seen any solutions or causes.
Comment 225 Martin Nowack 2005-10-21 12:17:53 UTC
(In reply to comment #224) 
Wow, ok, you just used the ebuild, did you? 
 
Have you installed sasl-authd and configured to use ldap? 
 
Hope that helps. 
Comment 226 James O'Malley 2005-10-21 16:04:30 UTC
(In reply to comment #225)
> (In reply to comment #224) 
> Wow, ok, you just used the ebuild, did you? 
>  
> Have you installed sasl-authd and configured to use ldap? 
>  

sasl-authd is just cyrus' authdaemon, right, kinda like courier's authlib.

I've not put in a mail system yet, but I expect to shortly.  It doesn't seem to
be a problem with mail.  ldap authenticates, but in the construction of the
session, something goes awry.  Like I said, I can't get any useful debugging
information to see whether it's perl or apache or tomcat, or I have no idea. 
Frankly this whole groupware thing is mighty confusing to me *G*.

I just rolled back to open-xchange-0.8.0-6 (using the same ebuild renamed) and
everything works peachy.  I hope that sheds a glimmer of light on the situation.

clean x86 stable install (appropriate packages listed in package.use with ~x86)
open-xchange-0.8.0-6 <-- works
same install
open-xchange-0.8.1-3 <-- sessiond fails to authenticate with SSL disabled.

Comment 227 Jeremy Huddleston (RETIRED) gentoo-dev 2005-10-21 18:28:05 UTC
Martin, the latest changes are in cvs as 0.8.1.3-r1 and 0.8.0.6.  I removed the:
+	epatch ${FILESDIR}/${PN}-0.8.1.2-ssl.patch

as I don't have that patch.  If you attach it, I'll readd it to the ebuild.
Comment 228 Martin Nowack 2005-10-22 01:23:32 UTC
(In reply to comment #226) 
> clean x86 stable install (appropriate packages listed in package.use with 
~x86) 
> open-xchange-0.8.0-6 <-- works 
> same install 
> open-xchange-0.8.1-3 <-- sessiond fails to authenticate with SSL disabled. 
An other idea went to my mind. 
 
Have you installed both versions?  
 
To make sure having ssl disabled: 
--------------------------------- 
 
* edit your /etc/open-xchange/[groupware|webmail]/system.properties and change 
ENABLETLS to no (<-- you've already done this) 
* edit your /var/www/localhost/cgi-bin/login.pm and change $connection-mode to 
3 
 
Enhancing the debug output: 
--------------------------- 
* edit your /etc/open-xchange/[groupware|webmail]/system.properties and change 
LOGLEVEL to 10 (<-- you've already done this) 
* edit your /var/www/localhost/cgi-bin/login.pl and append to shebang a -w 
enhanced failure output should now be written to your apache logfile 
 
Hope we got a step further =) 
 
 
Comment 229 Sebastian Kotyrba 2005-11-04 01:53:46 UTC
Created attachment 72090 [details]
/etc/init.d/openexchange in gentoo style
Comment 230 Martin Nowack 2005-11-12 07:09:39 UTC
Created attachment 72748 [details]
open-xchange-0.8.1.4.ebuild

A new version of open-xchange was released yesterday.

Here is the ebuild for the new dev-version.
What is new? Encrypted backend is now working in both versions - yahoo!!!
I removed the mysql support because currently even dev version lacks several
needed features for ox.

The created ssl keys and certificates are not valid, please refer to wiki page
how to creat signed ones
(http://gentoo-wiki.com/HOWTO_Open-Xchange#HowTo_Create_Certs_and_Keys). But
please keep in mind they are just for testing purposes and should be replaced.

So far so good ...
Comment 231 J.R. Juiliano 2005-11-28 19:10:14 UTC
Looks like open-xchange-0.8.1.5 was release a bit ago.

Being impatient I copied the ebuild to an overlay and so far everything still
seems to work. However I have minimal requirements for my home server.  I did
make the mistake of following the directions and running "emerge --config
www-apps/open-xchange" and it wiped out my cgi-bin contents.  A simple re-emerge
and I didn't even lose any data! --J.R.
Comment 232 Martin Nowack 2005-11-28 22:10:02 UTC
Hi, 
there are some problems with ox-0.8.1.5. 
A new table was added and there is a bug for the right click menue. 
Also some dependencies changed. 
The ebuilds were changed and are ready and will be soon in portage. 
 
> I did 
> make the mistake of following the directions and running "emerge --config 
> www-apps/open-xchange" and it wiped out my cgi-bin contents.  A simple 
re-emerge 
> and I didn't even lose any data! --J.R. 
 
Have you installed more versions of ox? 
Next time (I will change this) try emerge --config 
=www-apps/open-xchange-MYVERSION 
This should solve your problem (or make sure just one version is installed). 
 
Martin 
Comment 233 J.R. Juiliano 2005-11-29 06:09:16 UTC
Martin,

(In reply to comment #232)
> Hi, 
> there are some problems with ox-0.8.1.5. 
> A new table was added and there is a bug for the right click menue. 
> Also some dependencies changed. 
> The ebuilds were changed and are ready and will be soon in portage. 

When that comes I will re-emerge; that's good to know.  Thanks.  Still looking
for ways to back up the data I have to make sure nothing gets sacked.

> Have you installed more versions of ox? 
> Next time (I will change this) try emerge --config 
> =www-apps/open-xchange-MYVERSION 
> This should solve your problem (or make sure just one version is installed). 

When I put the ebuild in overlay it did show as "NS" but it removed the previous
version anyway.  equery only shows the current version (0.8.1.5).  Really the
only thing I saw missing right away was the lack of login.pl and login.pm. 
Everything else under my web root was there.  At any rate next time will
definitely follow with the version for --config.

Thanks for you and all who are working on keeping these ebuilds up!

J.R.

Comment 234 Martin Nowack 2005-12-02 10:49:26 UTC
Hi,
> When that comes I will re-emerge; that's good to know.  Thanks.
New version of ox is now in portage. Please give it a try.
Big Thanks to Jeremy =)

>Still looking
> for ways to back up the data I have to make sure nothing gets sacked.
There are three things to keep in mind for backup.
1. You should save your ldap (e.g. slapcat)
2. Save your PostgreSQL DataBase
3. Save the tree under /var/open-xchange

This should be all.

For ebuild update - nothing of these three parts get touched by the ebuild. So
your data should be save.

For the update to 0.8.1.5 you should not forget to insert the new table. But you
get informed about this at the end of the ebuild process.

During testphase of ssl, I've up and downgraded between the versions (even
0.8.0.* and 0.8.1.*) very often without loosing any data.

Hope that helps you.
Comment 235 J.R. Juiliano 2005-12-03 03:20:40 UTC
(In reply to comment #234)
> Hi,
> > When that comes I will re-emerge; that's good to know.  Thanks.
> New version of ox is now in portage. Please give it a try.
> Big Thanks to Jeremy =)

Just emerged, ran --config and did the table upgrade as per ebuild instructions.
Worked fine for me, thank you!

> 
> >Still looking
> > for ways to back up the data I have to make sure nothing gets sacked.
> There are three things to keep in mind for backup.
> 1. You should save your ldap (e.g. slapcat)
> 2. Save your PostgreSQL DataBase
> 3. Save the tree under /var/open-xchange

I'll check that out and try to make something for me to use.  Appreciate the help!

> During testphase of ssl, I've up and downgraded between the versions (even
> 0.8.0.* and 0.8.1.*) very often without loosing any data.

Since this is a home setup, started from Mike F's build instructions and had
various problems along the way until recently I've omitted the SSL setup as well
as few other things.  I might have to start playing around with that to make it
more secure and potentially give access outside my internal network.  And people
say I don't do things for fun anymore!  :-)
Comment 236 Ruben Jenster 2005-12-06 02:10:28 UTC
Hi, I'm trying to emerge open-xchange but it fails. Can anyone here please help 
me.Have I missed something? 
 
init: 
    [mkdir] Created 
dir: /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/build 
    [mkdir] Created 
dir: /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/build/META-INF 
    [mkdir] Created 
dir: /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/lib 
    [mkdir] Created 
dir: /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/info/java 
 
compilewebdav: 
    [javac] Compiling 491 source files 
to /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/build 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/servlet/multipart/MultiPartParser.java:55: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletRequest; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/servlet/multipart/MultiPartParser.java:85: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class 
com.openexchange.tools.servlet.multipart.MultiPartParser 
    [javac]     public MultiPartParser(HttpServletRequest req) throws 
IOException { 
    [javac]                            ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/servlet/multipart/MultiPartParser.java:95: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class 
com.openexchange.tools.servlet.multipart.MultiPartParser 
    [javac]     public MultiPartParser(HttpServletRequest req, String 
characterencoding) throws IOException { 
    [javac]                            ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:57: 
package javax.servlet does not exist 
    [javac] import javax.servlet.ServletConfig; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:58: 
package javax.servlet does not exist 
    [javac] import javax.servlet.ServletException; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:59: 
package javax.servlet does not exist 
    [javac] import javax.servlet.SingleThreadModel; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:60: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletRequest; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:61: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletResponse; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:50: 
package javax.servlet does not exist 
    [javac] import javax.servlet.ServletException; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:51: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServlet; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:52: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletRequest; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:53: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletResponse; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:59: 
cannot resolve symbol 
    [javac] symbol  : class HttpServlet 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac] public abstract class WebDavServlet extends HttpServlet { 
    [javac]                                             ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:90: 
cannot resolve symbol 
    [javac] symbol  : class SingleThreadModel 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac] public abstract class OXServlet extends WebDavServlet implements 
SingleThreadModel, Logger { 
    [javac]                                                                  ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:139: 
cannot resolve symbol 
    [javac] symbol  : class ServletConfig 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    public void init(ServletConfig config) throws ServletException { 
    [javac]                     ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:139: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    public void init(ServletConfig config) throws ServletException { 
    [javac]                                                  ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:145: 
cannot resolve symbol 
    [javac] symbol  : class ServletConfig 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    private synchronized void syncInit(ServletConfig config) throws 
ServletException { 
    [javac]                                       ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:145: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    private synchronized void syncInit(ServletConfig config) throws 
ServletException { 
    [javac]                                                                    
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:219: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    public void oxinit() throws ServletException { 
    [javac]                                ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:291: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected void service(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:291: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected void service(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                   ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:291: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected void service(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                    
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:383: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected boolean initializeService(String user, String pass) 
throws ServletException { 
    [javac]                                                                         
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:471: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected static void addUnauthorizedHeader(HttpServletResponse 
resp) { 
    [javac]                                                ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:555: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected String getUrl(HttpServletRequest req) 
    [javac]                            ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:577: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected static String getDepth(HttpServletRequest req) { 
    [javac]                                     ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:592: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected static DocumentBuilder getDocumentBuilder() throws 
ServletException { 
    [javac]                                                                 ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:617: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected Document getDocument(HttpServletRequest req, 
DocumentBuilder builder) throws IOException, ServletException { 
    [javac]                                   ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:617: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected Document getDocument(HttpServletRequest req, 
DocumentBuilder builder) throws IOException, ServletException { 
    [javac]                                                                                                        
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/OXServlet.java:638: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.OXServlet 
    [javac]    protected org.jdom.Document getJDOMDocument(HttpServletRequest 
req) throws JDOMException, IOException { 
    [javac]                                                ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:71: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doOptions(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                  ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:71: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doOptions(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                          ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:71: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doOptions(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                           
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:117: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doPropFind(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                   ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:117: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doPropFind(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:117: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doPropFind(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                            
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:121: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doPropPatch(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                    ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:121: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doPropPatch(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                            ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:121: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doPropPatch(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                             
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:125: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doMkCol(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:125: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doMkCol(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                        ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:125: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doMkCol(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                         
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:129: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doCopy(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                               ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:129: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doCopy(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                       ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:129: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doCopy(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                        
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:133: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doMove(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                               ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:133: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doMove(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                       ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:133: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doMove(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                        
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:137: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doLock(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                               ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:137: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doLock(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                       ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:137: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doLock(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                        
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:141: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doUnLock(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                 ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:141: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doUnLock(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                         ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:141: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void doUnLock(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                          
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:145: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void service(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:145: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void service(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                        ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/WebDavServlet.java:145: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.WebDavServlet 
    [javac]     protected void service(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                         
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:56: 
package javax.servlet does not exist 
    [javac] import javax.servlet.ServletConfig; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:57: 
package javax.servlet does not exist 
    [javac] import javax.servlet.ServletException; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:58: 
package javax.servlet does not exist 
    [javac] import javax.servlet.SingleThreadModel; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:59: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletRequest; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:60: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletResponse; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:73: 
cannot resolve symbol 
    [javac] symbol  : class SingleThreadModel 
    [javac] location: class 
com.openexchange.tools.webdav.SingleThreadSloxServlet 
    [javac] public abstract class SingleThreadSloxServlet extends WebDavServlet 
implements SingleThreadModel { 
    [javac]                                                                                
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:84: 
cannot resolve symbol 
    [javac] symbol  : class ServletConfig 
    [javac] location: class 
com.openexchange.tools.webdav.SingleThreadSloxServlet 
    [javac]     public void init(ServletConfig sc) throws ServletException { 
    [javac]                          ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:84: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class 
com.openexchange.tools.webdav.SingleThreadSloxServlet 
    [javac]     public void init(ServletConfig sc) throws ServletException { 
    [javac]                                                   ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:93: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class 
com.openexchange.tools.webdav.SingleThreadSloxServlet 
    [javac]     private static synchronized void initialize() throws 
ServletException { 
    [javac]                                                          ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:145: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class 
com.openexchange.tools.webdav.SingleThreadSloxServlet 
    [javac]     public abstract void oxinit() throws ServletException; 
    [javac]                                          ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:173: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class 
com.openexchange.tools.webdav.SingleThreadSloxServlet 
    [javac]     protected void service(HttpServletRequest request, 
HttpServletResponse response) throws ServletException, IOException { 
    [javac]                            ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:173: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class 
com.openexchange.tools.webdav.SingleThreadSloxServlet 
    [javac]     protected void service(HttpServletRequest request, 
HttpServletResponse response) throws ServletException, IOException { 
    [javac]                                                        ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/SingleThreadSloxServlet.java:173: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class 
com.openexchange.tools.webdav.SingleThreadSloxServlet 
    [javac]     protected void service(HttpServletRequest request, 
HttpServletResponse response) throws ServletException, IOException { 
    [javac]                                                                                             
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:58: 
package javax.servlet does not exist 
    [javac] import javax.servlet.ServletException; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:59: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletRequest; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:60: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletResponse; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:104: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void oxinit() throws ServletException { 
    [javac]                                 ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:116: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doDelete(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                              ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:116: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doDelete(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:116: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doDelete(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                       
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:165: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPut(HttpServletRequest req, HttpServletResponse 
resp) throws ServletException, IOException { 
    [javac]                       ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:165: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPut(HttpServletRequest req, HttpServletResponse 
resp) throws ServletException, IOException { 
    [javac]                                               ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:165: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPut(HttpServletRequest req, HttpServletResponse 
resp) throws ServletException, IOException { 
    [javac]                                                                                
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:169: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPropPatch(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                             ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:169: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPropPatch(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                     ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:169: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPropPatch(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                      
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:413: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPropFind(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                            ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:413: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPropFind(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                    ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:413: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doPropFind(HttpServletRequest req, 
HttpServletResponse resp) throws ServletException, IOException { 
    [javac]                                                                                     
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:637: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doError(HttpServletRequest req, HttpServletResponse 
resp) throws ServletException { 
    [javac]                         ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:637: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doError(HttpServletRequest req, HttpServletResponse 
resp) throws ServletException { 
    [javac]                                                 ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:637: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doError(HttpServletRequest req, HttpServletResponse 
resp) throws ServletException { 
    [javac]                                                                                  
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:641: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doError(HttpServletRequest req, HttpServletResponse 
resp, int code, String msg) throws ServletException { 
    [javac]                         ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:641: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletResponse 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doError(HttpServletRequest req, HttpServletResponse 
resp, int code, String msg) throws ServletException { 
    [javac]                                                 ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:641: 
cannot resolve symbol 
    [javac] symbol  : class ServletException 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     public void doError(HttpServletRequest req, HttpServletResponse 
resp, int code, String msg) throws ServletException { 
    [javac]                                                                                                        
^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlServlet.java:653: 
cannot resolve symbol 
    [javac] symbol  : class HttpServletRequest 
    [javac] location: class com.openexchange.tools.webdav.XmlServlet 
    [javac]     protected Object getValue(HttpServletRequest req, String name) 
{ 
    [javac]                               ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlTools.java:55: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServlet; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/webdav/XmlTools.java:68: 
cannot resolve symbol 
    [javac] symbol  : class HttpServlet 
    [javac] location: class com.openexchange.tools.webdav.XmlTools 
    [javac] public abstract class XmlTools extends HttpServlet { 
    [javac]                                        ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/umin/Login.java:57: 
package javax.servlet does not exist 
    [javac] import javax.servlet.ServletException; 
    [javac]                      ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/umin/Login.java:58: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletRequest; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/umin/Login.java:59: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpServletResponse; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/umin/Login.java:60: 
package javax.servlet.http does not exist 
    [javac] import javax.servlet.http.HttpSession; 
    [javac]                           ^ 
    
[javac] /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/umin/OXUsermin.java:72: 
package javax.servlet does not exist 
    [javac] import javax.servlet.ServletConfig; 
    [javac]                      ^ 
    [javac] Note: Some input files use or override a deprecated API. 
    [javac] Note: Recompile with -deprecation for details. 
    [javac] 100 errors 
 
BUILD FAILED 
/var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/build.xml:57: 
Compile failed; see the compiler error output for details. 
 
Total time: 25 seconds 
make[1]: *** [java] Fehler 1 
make[1]: Leaving directory 
`/var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/javabuild' 
make: *** [all-recursive] Fehler 1 
 
!!! ERROR: www-apps/open-xchange-0.8.1.5 failed. 
!!! Function src_compile, Line 266, Exitcode 2 
!!! make failed 
!!! If you need support, post the topmost build error, NOT this status message. 
 
Comment 237 Martin Nowack 2005-12-06 03:06:07 UTC
Hi,
to your problem. sounds like servlet library is missing. Please give me a few
informations:
* which tomcat version do you use
* which java version/package do you use
I hope we can fix this soon.

Martin
Comment 238 Ruben Jenster 2005-12-06 03:29:31 UTC
Thanks for your rapid answer,  
  
[sun-jdk-1.4.2.10] "Sun JDK 1.4.2.10" (/etc/env.d/java/20sun-jdk-1.4.2.10) *  
  
* www-servers/tomcat  
     Available versions:  5.0.27-r6 ~5.0.28-r8 ~5.0.28-r9 ~5.0.28-r10  
     Installed:           5.0.27-r6  
     Homepage:            http://jakarta.apache.org/tomcat  
     Description:         Apache Servlet-2.4/JSP-2.0 Container  
  
/opt/tomcat5/common/lib/servlet-api.jar is present on the system  
  
  
I looked once more over the compiling output and noticed this warning:  
   
checking for an ANSI C-conforming const... yes   
configure: WARNING: Maybe the build will not work properly because the check   
for /opt/tomcat5/common/lib/servlet-api.jar failed. You should specify the   
location with --with-jsdkjar   
    
Installing servletapi-2.4-r2 and replacing    
    
--with-jsdkjar=${TOMCAT_DIR}/common/lib/servlet-api.jar   
   
with    
   
--with-jsdkjar=/usr/share/servletapi-2.4/lib/servlet-api.jar   
  
in the ebuild makes it compile.   
   
Hope this is the right way. Or should I replace tomcat with a newer one?  
Comment 239 Martin Nowack 2005-12-09 15:47:29 UTC
Hi,  
normally your software combination should work perfectly together. I'm 
currently  
using that combination and there are no compiling problems.  
  
The servletapi is already provided by tomcat. So you don't need to upgrade to a  
new version.  
But if you want to upgrade please keep in mind they changed almost all file  
locations.  
  
What you can do is try to emerge tomcat again and try to emerge open-xchange  
again.  
  
Could you please submit the output of the following line:  
java-config -g CATALINA_HOME  
  
Thanks.  
Martin  
  
Comment 240 Mark 2005-12-20 07:24:44 UTC
i see 0.8.1.6 is out. Has the new porjects module YIPPIE! The change log says there is a schema change to the database. I was wondering if anyone has tried it out?
Comment 241 Martin Nowack 2005-12-20 08:44:47 UTC
(In reply to comment #240)
> i see 0.8.1.6 is out. Has the new porjects module YIPPIE! The change log says
> there is a schema change to the database. I was wondering if anyone has tried
> it out?
> 
Hi,
yes I know the new version and especially the project management sounds fantastic. I've got an ebuild laying here around.
But it also has some caveeats.
* During the rework of the new projectmanagement, old projects must be ported to the new version.
* There are many bugs through the newly added writeable/readable sql connections which makes the new projectmanagement somehow unusable ending in many exceptions  - I got fixed some but not all.

I would say it is a somehow more major upgrade so I would like to provide some gentooified update instructions but they will be published upstream just in a few days.

If you're still interested in the ebuild I would push it online here at bugzilla.

Martin
Comment 242 Mark 2006-01-06 01:47:14 UTC
Hi there Martin,


Ok -- So I should hang ten for a while on the latest version. I would want to mess up other functioning components.

Is it relativley easy to port the projects or not? 



thanks
Mark
Comment 243 Wulf Krueger (RETIRED) gentoo-dev 2006-01-21 04:42:13 UTC
Hello Martin!

Maybe you could publish the 0.8.1.6 ebuild here? 
Comment 244 Martin Nowack 2006-01-24 00:49:01 UTC
Created attachment 77974 [details]
open-xchange-0.8.1.6.ebuild
Comment 245 Martin Nowack 2006-01-24 00:49:44 UTC
Created attachment 77975 [details]
${FILESDIR}/ox_project.sql
Comment 246 Martin Nowack 2006-01-24 01:05:49 UTC
Hi Mark and Philantrop,
I've uploaded the current new files ox_project.sql have to be put in the files directory, the ebuild file as normal.

My recommendations are that you should not upgrade if you depend on the project part of open-xchange. There are some parts realy broken which leads to nice exceptions if somebody tries to use the project section in any way ;)

My next suggestion is you should wait to the next release, which will hopefully  fix most issues with the project part and also will lead to a good upgrade path.

If you still want to test it, give it a try and report problems especially with the ebuild here.

Thanks and sorry for the late answer.

Martin
Comment 247 Wulf Krueger (RETIRED) gentoo-dev 2006-01-30 13:13:50 UTC
Hello Martin!

A few (minor) issues I noticed:

1)

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 *   /usr/local/overlays/portage/www-apps/open-xchange/files/open-xchange-0.8.1.2-login.patch
 *   ( open-xchange-0.8.1.2-login.patch )

This probably refers to the above "login.pm.in.patch" considering OX bug 734.

2)

 * Applying open-xchange-0.8.1.2-login.patch ... [ ok ]
You should update your `aclocal.m4' by running aclocal.
Putting files in AC_CONFIG_AUX_DIR, `config'.
autoheader-2.59: error: AC_CONFIG_HEADERS not found in configure.in

This is most probably a non-issue but anything that calls itself an error gives me the creeps. 
(Just in case: Present company excluded. ;-) )

3) USE="-ssl" causes this:

"enablessl="

Maybe that works but I think it should be set to "no" for clarity's sake.

4)

install: cannot stat `/usr/local/overlays/portage/www-apps/open-xchange/files/ox_reminder.sql': No such file or directory

This file seems to be missing here. Am I right to assume it would simply be this part of init_database.sql?

CREATE TABLE "reminder" (
                "object_id" int,
                "target_id" text,
                "module" int,
                "username" text,
                "alarm" timestamp with time zone,
                "description" text,
                "folder" text
);

5) 

/usr/share/open-xchange/ox_project.sql

ox_project.sql simply isn't being copied there. :-)


After correcting these things, OX itself works nicely. Thanks!
Comment 248 Wulf Krueger (RETIRED) gentoo-dev 2006-02-05 08:23:31 UTC
And 0.8.2-RC1 has been released as I just found out. According to Viktor Pracht, OX dev, a nasty bug that seems to "leak" postgres connections and in consequence disables WebDAV has been fixed in this version. 

Did you have a chance to take a look at it yet, Martin?
Comment 249 Martin Nowack 2006-02-05 11:15:44 UTC
Hi,
(In reply to comment #248)
> Did you have a chance to take a look at it yet, Martin?
Yes, currently developing a new ebuild including an update-script which should make some things easier, especially the update of the database.
After some testing, hopefully releasing it in the beginning of next week.

@Philantrop
Thanks for your report. The ox_project.sql is an other atachement https://bugs.gentoo.org/attachment.cgi?id=77975.
It it best copying the files from your open-xchange/filesdir of your portage directory to the overlay directory. This should fix some of your issues. But I will check the others
Comment 250 Jeremy Warren 2006-02-12 05:32:59 UTC
FYI, I've successfully converted over my existing PostgreSQL-base OX installation to a purely MySQL based installation, using 0.8.2-RC2, MySQL-5.0.18, and jdbc-mysql-3.1.10.

This is based upon the steps listed in the OX Wiki here:

http://www.open-xchange.org/oxwiki/OX_20and_20mySQL?action=highlight&value=mysql

With the caveat that apparently the NAS_CON_CLASS_NAME no longer needs to be the extensive one listed, but just:

NAS_CON_CLASS_NAME:jdbc:mysql://localhost/openxchange

Modification of the existing ebuild to deal with RC2 filename is all that is needed, plus the following additional modifications:

1) RC2 does not play nice with the "open-xchange-0.8.1.2-login.patch".  It should be removed.
2) The patch listed in the Wiki needs to be applied to the source.
3) Two files need to be pulled out of the installation tarball, in the system/setup directory in order to set up the database.  The first should be subject to the same modifications as "init_database.sql":
   *  create_mysql_database.sql.in
   *  init_mysql_database.in
These files should be used, in order, to create a new MySQL database for OX.
4) Updating config files seems to catch all of the important config file changes, so that works, at least.

Converting an exiting installation is as simple as doing a full database export in phppgadmin to SQL format, selecting only the INSERT statements, and pasting them into the SQL query window in phpmyadmin.  Just make sure that all of the tables in the MySQL database have been emptied first.
Comment 251 Jeremy Warren 2006-02-13 16:29:54 UTC
A minor correction:  In the files that need to be pulled from the installation sources for the database setup, the second one should be "init_mysql_database.sql", not "init_mysql_database.in".  The first file, "create_mysql_database.sql.in" is the only one that needs to be modified with the system information.
Comment 252 Jeremy Warren 2006-02-14 08:07:33 UTC
Created attachment 79765 [details]
open-xchange-0.8.2_rc2.ebuild
Comment 253 Jeremy Warren 2006-02-14 08:08:30 UTC
Created attachment 79766 [details]
open-xchange-0.8.2_rc2-mysql.patch

Patch file to enable MySQL support.
Comment 254 Jeremy Warren 2006-02-14 08:10:03 UTC
Created attachment 79767 [details]
init.d.open-xchange

Tweaked init.d file which automatically checks Tomcat's status to see if it did one of its mysterious "startup crashes", and if so, will automatically bring Tomcat back online until it is ready for Open-Xchange to start.
Comment 255 Wulf Krueger (RETIRED) gentoo-dev 2006-02-14 09:52:46 UTC
Hi Jeremy,

there are quite a few changes that don't seem to be related to MySQL in your ebuild. It seems to be based on an ebuild for OX 0.8.1.3. Maybe it would have been better to base your work upon Martin's 0.8.1.6 ebuild attached to this bug? 

Could you elaborate a bit on the following points I noticed, diff'ing the  0.8.1.6 ebuild mentioned and yours?

a) Dependency on aspell has been changed to ispell. Any special reason for that? 

b) TOMCAT_SHARED_LIB is not defined anymore. This was needed for proper OX SSL support. Has that changed? (cf. question f))

c) Setting --with-jdbcjar even for PostgreSQL is *way* more complex than it used to be. Is that really neccessary? 

d) 
        # chown of war-files or tomcat gets problems with stopping itself
        for x in umin.war servlet.war ; do
>>>>>>           fowners tomcat:tomcat ${SERVLETDIR}${x}
        done

You're missing a slash ("/") there, I think, because SERVLETDIR gets set like this: SERVLETDIR="${CATALINA_BASE}/${PROFILE}/webapps" 

e) dosym /usr/lib/open-xchange/liboxssl.so ${TOMCAT_SHARED_LIB}/liboxssl.so

You don't create that symlink. Is it unneccessary now? (cf. question f))

f) Lots of other changes to SSL handling. Neccessary?

Please don't get me wrong, Jeremy. I think it's great you did this and I'd love to try your ebuild but I'm a cautious guy. :)
Comment 256 Jeremy Warren 2006-02-15 07:24:24 UTC
(In reply to comment #255)
Good points.  It appears that my ebuild is, in fact, based off of a rather dated one.  When I have some time later on this afternoon, I'll take a look at the most recent rev of the ebuild and update it to fix the problems.
Comment 257 Jeremy Warren 2006-02-15 08:19:36 UTC
Created attachment 79851 [details]
open-xchange-0.8.2_rc2-r1

This ebuild is based off of the 0.8.1.6 ebuild, and includes support for MySQL.
Comment 258 Jeremy Warren 2006-02-16 08:10:23 UTC
Created attachment 79943 [details]
open-xchange-0.8.2_rc3-mysql.patch

Patch to enable MySQL support in Open-Xchange 0.8.2_RC3
Comment 259 Jeremy Warren 2006-02-16 08:13:53 UTC
Created attachment 79944 [details]
open-xchange-0.8.2_rc3.ebuild

Ebuild for Open-Xchange-0.8.2_rc3 with MySQL support enabled.  If you are upgrading from 0.8.2_rc2 to 0.8.2_rc3, you will need to add a table to the database:

CREATE TABLE del_system_objects (
                object_type int,
                object_id text,
                deleting_date timestamp
);

That's the only new change that I have noticed in database structure.
Comment 260 Mark 2006-02-19 22:03:58 UTC
after the upgrade to 0.8.2 from 0.8.1.5 I cannot login. I get

Error: Not Activated.

I am investigating now
Comment 261 Mark 2006-02-20 07:20:45 UTC
made some progress. MailEnabled must be OK (in caps) in the ldap entry. I have now managed to get passed the login screen but get a blue screen which says

Authentification failed! You have no permission to access this area.
Comment 262 Mark 2006-02-20 07:47:09 UTC
ok -- it appears that there is something wrong with the usr_general_rights table. I have not found any changes to the user rights table mentioned anywhere. Also it is still populated with the data I had before the upgrade so cant see why there is a problem.  

Also with respect to MailEnabled -- it was there before the upgrade and now seems to require it to be in upper case which was not an issue previously.
Comment 263 Jeremy Warren 2006-02-20 11:47:18 UTC
I have seen this mysterious access denied screen now and again - it's really strange, because a restart of OX fixes it.  I'm still trying to track it down.

I've got "OK" in the MailEnabled field on all accounts in my LDAP database, too.
Comment 264 Mark 2006-02-20 21:56:56 UTC
thanks -- it came right after a restart of ox. If anyone is interested here is some info to help with the upgrade

http://www.open-xchange.org/oxwiki/StableUpgrade?action=highlight&value=upgrade


I had a problem creating new projects but then read the line which said

Insert all users standard folder via sql. First determine all user by running the query: SELECT distinct(login) from usr_general_rights;
Then add all of these users to the table "oxfolder_userfolders_standardfolders" with module "projects" and fuid "8" ( folder id of the folder "OX Folder/Projects ):
INSERT INTO oxfolder_userfolders_standardfolders VALUES ('USER1', 'projects', 8);



Now the only problem I have is that I cannot edit shared Tasks. I can assign new tasks but not edit them :(
Comment 265 Jeremy Warren 2006-02-22 05:45:14 UTC
BTW, it seems that the NAS_CON_CLASS_NAME must be set to:

NAS_CON_CLASS_NAME: jdbc:mysql://${HOST}/${DATABASE}?zeroDateTimeBehavior=null

In order for new user addition to work properly. Upstream has added in my patch for a problem with the confirmations not showing up in the groupware portal page, so I will upload a fixed ebuild and newer mysql patch which incorporates the new fix.
Comment 266 Jeremy Warren 2006-02-22 05:53:55 UTC
Created attachment 80431 [details]
open-xchange-0.8.2_rc3-r1.ebuild

Fixes NAS_CON_CLASS_NAME problems.
Comment 267 Jeremy Warren 2006-02-22 05:54:53 UTC
Created attachment 80432 [details, diff]
open-xchange-0.8.2_rc3-mysql.patch

Updated patch for RC# which incorporates fix for tasks not showing on groupware portal page.
Comment 268 Milan Holzäpfel 2006-03-22 09:50:34 UTC
(In reply to comment #236)
> [javac]
> /var/tmp/portage/open-xchange-0.8.1.5/work/open-xchange-0.8.1-5/src/com/openexchange/tools/servlet/multipart/MultiPartParser.java:55: 
> package javax.servlet.http does not exist 
>     [javac] import javax.servlet.http.HttpServletRequest; 
>     [javac]                           ^ 
[...]
>     [javac] 100 errors 

The problem with this is that /opt/tomcat5 is owned by tomcat:tomcat and has chmod 750, so the portage user cannot access it. (At least this was it on my system.)
Adding the portage user to the tomcat group did not help (not sure whether it is supposed to do so), but chmod 755 on /opt/tomcat5 did. 
(I also have installed tomcat-5.0.27-r6.)

Regards,
Milan
Comment 269 Jeremy Huddleston (RETIRED) gentoo-dev 2006-03-26 11:05:38 UTC
I would really like to get someone actively maintining this into gentoo devhood as I can't take care of it anymore.  I know Martin was interested (Martin, please contact me about this), and if any others are interested in handling it or helping out, please let me know.  I realize there is demand for this, and if we get it into portage ~arch instead of package.mask, we will certainly find more community support as well, but it can't go into ~arch until a gentoo dev is able to support it (which I'm not)
Comment 270 William L. Thomson Jr. (RETIRED) gentoo-dev 2006-03-26 15:04:36 UTC
I will be looking into this. I am very short on time and not a gentoo java dev. However I have been helping to maintain tomcat, starting to on mod_jk, jaybird, and other ebuilds. I will see about taking open xchange under my wing as well.  Going to look into adding the latest stuff here, ebuilds patch files etc, into java exp. Hopefully they all work. If not I will see about getting them working in the upcoming weeks as I have time.

I would like to use open exchange myself. But have major dep issues, that I need to resolve first. Before open echange can be beneficial. 
Comment 271 Wulf Krueger (RETIRED) gentoo-dev 2006-04-02 13:33:41 UTC
Created attachment 83756 [details]
open-xchange-0.8.2_rc3-r1.ebuild

I'm suggesting to test this slightly modified ebuild:

- The dependency "dev-perl/XML-SAX-Base" should be ">=dev-perl/XML-SAX-0.11".
- The JDBC issues with >dev-java/jdbc3-postgresql-7.4.5 seem to be resolved.
- PostgreSQL versions > 7.4.5 are fine now, too.

Details below:

*** open-xchange-0.8.2_rc3-r1.ebuild.orig       Sun Apr  2 22:15:45 2006
--- open-xchange-0.8.2_rc3-r1.ebuild    Sun Apr  2 22:16:35 2006
***************
*** 33,49 ****
         app-text/aspell
         dev-java/sun-javamail-bin
         dev-perl/XML-NamespaceSupport
!        dev-perl/XML-SAX-Base
         dev-perl/Authen-SASL
         dev-perl/Convert-ASN1
         dev-perl/perl-ldap
           mysql? ( !postgres? ( dev-java/jdbc-mysql >=dev-db/mysql-4.1 ) )
!          !mysql? ( ~dev-java/jdbc3-postgresql-7.4.5 dev-db/postgresql )
!          postgres? ( ~dev-java/jdbc3-postgresql-7.4.5 dev-db/postgresql )
         ssl? ( dev-libs/openssl dev-perl/IO-Socket-SSL )"

- # COMMENT: The JDBC requirement is set to 7.4.5 due to compatibility issues with higher revs.
-
  DEPEND="${RDEPEND}
        app-arch/zip
        >=virtual/jdk-1.4"
--- 33,47 ----
         app-text/aspell
         dev-java/sun-javamail-bin
         dev-perl/XML-NamespaceSupport
!        >=dev-perl/XML-SAX-0.11
         dev-perl/Authen-SASL
         dev-perl/Convert-ASN1
         dev-perl/perl-ldap
           mysql? ( !postgres? ( dev-java/jdbc-mysql >=dev-db/mysql-4.1 ) )
!          !mysql? ( >=dev-java/jdbc3-postgresql-7.4.5 dev-db/postgresql )
!          postgres? ( >=dev-java/jdbc3-postgresql-7.4.5 dev-db/postgresql )
         ssl? ( dev-libs/openssl dev-perl/IO-Socket-SSL )"

  DEPEND="${RDEPEND}
        app-arch/zip
        >=virtual/jdk-1.4"
Comment 272 Wulf Krueger (RETIRED) gentoo-dev 2006-04-04 23:28:19 UTC
Created attachment 83946 [details]
open-xchange-0.8.2_rc3-r1.ebuild

I was wrong. There *are* still some issues with newer JDBC versions.
Comment 273 ^j^ 2006-04-18 05:51:16 UTC
Is there an AMD64 open-Xchange ebuild?
If not, how can I do one?
Comment 274 Wulf Krueger (RETIRED) gentoo-dev 2006-04-19 22:47:31 UTC
(In reply to comment #273)
> Is there an AMD64 open-Xchange ebuild?
> If not, how can I do one?

I have to admit I don't know much about the AMD64 platform but why would you need a separate ebuild for it?

OX is a Java application. Wouldn't it therefore be enough to just emerge sun-jdk with the "amd64" use flag set? 
Comment 275 Milan Holzäpfel 2006-04-20 03:04:48 UTC
(In reply to comment #273)
> Is there an AMD64 open-Xchange ebuild?
> If not, how can I do one?

I think the problem is that the current ebuild hasn't got an ~amd64 keyword.  If you either edit the ebuild, adding ~amd64 to KEYWORDS, or if you do  echo www-apps/open-xchange ~x86 >> /etc/portage/package.keywords, then you should be able to merge the ebuild on your AMD64 system. 
I haven't tested this, though, as already mentioned, open-xchange is a java app and should therefore work. 

Regards,
Milan
Comment 276 Wulf Krueger (RETIRED) gentoo-dev 2006-04-27 08:08:06 UTC
Created attachment 85610 [details]
open-xchange-0.8.2.ebuild

For the 0.8.2 release. Now with the ~amd64 keyword but still without an automatic update function. I hope to get that one done for the next release.
Comment 277 Mark 2006-04-29 06:59:46 UTC
any special things to do to upgrade from rc3?
Comment 278 Mark 2006-04-30 05:09:20 UTC
ok --- didnt have to do anything special to get 0.8.2 working. i had aproblem with the project tables so i just deleted them and recreated them using the script from init_database.sql

Also spelling support has disappeared from the web mail functionality. I have ispell and aspell emerged. Is there anything else I need to do?
Comment 279 Mark 2006-04-30 12:07:47 UTC
to get spellcheck to work you need to emerge aspell-en using accept_keyword ~x86.

Also would it be possible to integrate the smartsieve addon into the ebuild?


http://www.open-xchange.org/oxwiki/Smartsieve_2dOX?action=highlight&value=smartsieve



thanks
Comment 280 Cyrius 2006-04-30 14:21:14 UTC
Hello,

   I've tried during few hours to launch open xchange with your init.d files.
   But the result is always this : 

"myhost open-xchange #/etc/init.d/open-xchange start
 * Checking Tomcat status...
 * Tomcat status: Running.
 * Starting Open-Xchange sessiond ...  [ !! ]"

My conclusion is this script is not running. I've changed it to integrate the tomcat verification and to integrate the last version of it (i mean when you run directly openexchange-sessiond directly with start-stop-daemon). 
And it runs now.

Regards,
    Cyrius
Comment 281 Wulf Krueger (RETIRED) gentoo-dev 2006-05-01 05:02:15 UTC
To sum up recent comments:

(In reply to comment #277)

I didn't have to change anything upgrading from 0.8.2-RC3 to the release. I did *NOT* test interoperability with MySQL, though. That's one more of those things I'd like to do for the next release when I've set-up a better test environment.

(In reply to comment #279)
> to get spellcheck to work you need to emerge aspell-en using accept_keyword
> ~x86.

Thanks for the information. I had aspell installed and therefore missed this. Will fix it soon by adding a USE flag and a dependency, I think.

> Also would it be possible to integrate the smartsieve addon into the ebuild?

I've tested SmartSieve before and it wasn't really working reliably for me. Furthermore, I'm not really a fan of adding 3rd party products to the regular ebuild so I won't do that. I'll have another look at it, though, and if I can get it to work the way it should, I'll make a new ebuild for SmartSieve with an "open-xchange" USE flag or so.

(In reply to comment #280)

Cyrius, it seems you tried to use the init-scripts provided here, right? They're obsolete now. To use the latest ebuild for OX, just copy the corresponding folder from the regular portage repository to your overlay and add the ebuild (attachment 85610 [details]).


I'm now going to try to mark as obsolete some of the older attachments to this bug. In case I can't obsolete them myself as I didn't add them, I'd be glad if Jeremy/eradicator could obsolete the following attachments:

68702 (init-script, simply obsolete)
68946 (mod_jk-config, doesn't really belong to this)
68991 (htaccess, doesn't really make sense either)
69140 (slapd.ox.inc, is in portage)
69179 (login.pm.in.patch, obsolete)
69205, 70998 (patches for older ebuilds, now parts of the current one)
72090 (init-script, simply obsolete)
79767 (init-script, simply obsolete)
Comment 282 Cyrius 2006-05-02 04:51:46 UTC
Hello Philantrop,

   No, no, it seems that i'm using the current version and it doesn't work.
   I mean the start-stop-daemon doesn't like the script sessiond (perhaps due to the sudo command ?).
   After calling directly /etc/open-xchange/init.d/sessiond in the init.d script, it's ok.

   More of that, when booting more than one time tomcat-5, it's not running to because tomcat-5 try to re initiate log4j. Then i had this error in my log : "Log4j : Socket already in use"(From memory).

   The sleep 5 is not sufficient. And in fact, the port 8009 seems to be open by mod_jk thanks to apache. Not by tomcat-5 as i saw. Then i deactivate this part of code in the open-xchange.init.d. 
   Because the result of not deactivate it is when you put the init.d script in the inittab, it attempt systematically to restart tomcat-5. (Hell).

   An other thing which could help someone :

Error on the connection prompt : "Can not build up socket ! sessiond running ?"

Here is the error i had after having finished to install it and trying to connect myself.
Nothing in the log. All seems to be good (I mean openldap, apache, mod_jk, postgresql, tomcat-5, sessionD). 

After some hours, i discover it's a SSL negotiation problem.
(Certianely the right certificate are not generated)
So, for testing purposes, i deactivate it by :

Editing the /var/www/htdocs/cgi-bin/login.pm

Finding the parameter $connection_mode and put it at "3" (Plain connection)

Editing the /etc/open-xchange/groupware/system.properties
Finding the ENABLETLS parameter and puting it at "no"

Then all is running. I'll post a bug at open xchange to make this error more explaining. 

Hope this will help someone.
Regards,
     Cyrius
Comment 283 Martin Nowack 2006-05-02 05:58:07 UTC
>    No, no, it seems that i'm using the current version and it doesn't work.
>    I mean the start-stop-daemon doesn't like the script sessiond (perhaps due
> to the sudo command ?).
>    After calling directly /etc/open-xchange/init.d/sessiond in the init.d
> script, it's ok.
Which baselayout do you use? I think last time I remember it was somehow a problem with the new baselayout version 1.12.*

 
> Error on the connection prompt : "Can not build up socket ! sessiond running ?"
> 
> Here is the error i had after having finished to install it and trying to
> connect myself.
> Nothing in the log. All seems to be good (I mean openldap, apache, mod_jk,
> postgresql, tomcat-5, sessionD). 
> 
> After some hours, i discover it's a SSL negotiation problem.
> (Certianely the right certificate are not generated)
> So, for testing purposes, i deactivate it by :
> Editing the /var/www/htdocs/cgi-bin/login.pm
> 
> Finding the parameter $connection_mode and put it at "3" (Plain connection)
> 
> Editing the /etc/open-xchange/groupware/system.properties
> Finding the ENABLETLS parameter and puting it at "no"
No, don't do this - thats why you've got the SSL use-flag.
For the correct keys try the following help in the open-xchange: http://gentoo-wiki.com/HOWTO_Open-Xchange#HowTo_Create_Certs_and_Keys

Hope that helps.
P.S. I'm back ;)
Comment 284 Urs Joss 2006-05-19 06:27:53 UTC
Created attachment 87053 [details, diff]
open-xchange-0.8.2-mysql.patch

I had to slightly adjust the open-xchange-0.8.2_rc3-mysql.patch in order to convince portage to emerge open-xchange.

Beware, I have not actually tested the application yet.
Comment 285 Martin Schlemmer (RETIRED) gentoo-dev 2006-05-31 09:43:10 UTC
Created attachment 87995 [details]
open-xchange-0.8.2.ebuild

New ebuild that seems to run fine over here (tested with the mysql backend).  A few typo fixes, and I tried to make the DB selection more sane.  Also, with the jikes grep in there it does not build for me with blackdown-jdk (so I just left the grep if USE=-jikes), and I added jikes support.  Also added some icons for Webmail (got them from the CentOS install script for OX), and the Sieve plugin for Webmail (USE=sieve).  Other stuff I cannot remember.  Patches follows.
Comment 286 Martin Schlemmer (RETIRED) gentoo-dev 2006-05-31 09:44:25 UTC
Created attachment 87996 [details, diff]
open-xchange-0.8.2-mysql.patch

Updated patch for 0.8.2 from the mysql bug at open-xchange.org.
Comment 287 Martin Schlemmer (RETIRED) gentoo-dev 2006-05-31 09:45:24 UTC
Created attachment 87997 [details, diff]
open-xchange-0.8.2-mysql-2.patch

Additional patch I had to do to make the .sql stuff work with mysql-5.0.18.
Comment 288 Martin Schlemmer (RETIRED) gentoo-dev 2006-05-31 09:46:23 UTC
Created attachment 87998 [details, diff]
open-xchange-0.8.2-sieve.patch

Changes needed to get Smartsieve to work.
Comment 289 Martin Schlemmer (RETIRED) gentoo-dev 2006-06-01 01:03:47 UTC
Should note that at least here on amd64, java keeps crashing or screwing around with the ssl stuff, so I disabled that.

----

Jun 01 09:10:13 localhost openexchange: SockerHandler.run: SSLException:com.openexchange.ssl.SSLException:
2432:error:140940F5:SSL routines:SSL3_READ_BYTES:unexpected record:s3_pkt.c:1202:
ssl server fails to process ssl handshake

com.openexchange.ssl.SSLException:
2432:error:140940F5:SSL routines:SSL3_READ_BYTES:unexpected record:s3_pkt.c:1202:
ssl server fails to process ssl handshake

        at com.openexchange.ssl.SSLServerSocket.nativeAccept(Native Method)
        at com.openexchange.ssl.SSLServerSocket.accept(SSLServerSocket.java:129)
        at com.openexchange.sessiond.SocketHandler.run(SocketHandler.java:149)
        at java.lang.Thread.run(Thread.java:534)
Comment 290 Jeremy Huddleston (RETIRED) gentoo-dev 2006-06-04 23:59:47 UTC
Hey Martin, you should also take a look at bug #109482 
Comment 291 Jeremy Huddleston (RETIRED) gentoo-dev 2006-06-05 00:22:12 UTC
All those latest changes for 0.8.2 are in portage now, so what's in the tree is up-to-date with what you've got going in this bug.
Comment 292 Martin Schlemmer (RETIRED) gentoo-dev 2006-06-05 03:32:34 UTC
Small issue - /var/open-xchange/* should be owned by tomcat:apache with ug+rwx on dirs and ug+rw on files, else you get something like:

------
Jun 05 12:26:14 gateway.lan openexchange: WARN: fgs - Unable to save user settings.
java.io.FileNotFoundException: /var/open-xchange/settings/webmail/fgs (Permission denied)
        at java.io.FileOutputStream.open(Native Method)
        at java.io.FileOutputStream.<init>(FileOutputStream.java:179)
        at java.io.FileOutputStream.<init>(FileOutputStream.java:70)
        at java.io.FileWriter.<init>(FileWriter.java:46)
        at com.openexchange.webmail.UserLogout.storeSettings(UserLogout.java:136)
        at com.openexchange.webmail.UserLogout.logout(UserLogout.java:82)
        at com.openexchange.server.SessionBroker.killSession(SessionBroker.java:97)
        at com.openexchange.server.ComfireListener.removeSession(ComfireListener.java:174)
        at com.openexchange.thread.ComfireThread.validateSession(ComfireThread.java:566)
        at com.openexchange.thread.ComfireThread.run(ComfireThread.java:156)
        at java.lang.Thread.run(Thread.java:534)
-----

I can do a patch if need be.
Comment 293 Martin Schlemmer (RETIRED) gentoo-dev 2006-06-06 03:41:47 UTC
I had an issue with mysql:

-----
Jun 06 09:29:08 gateway.lan openexchange: ERROR: Unable to load user settings: com.mysql.jdbc.CommunicationsException: Communications link failure due to underlying exception:

** BEGIN NESTED EXCEPTION **

java.io.EOFException

STACKTRACE:

java.io.EOFException
        at com.mysql.jdbc.MysqlIO.readFully(MysqlIO.java:1905)
        at com.mysql.jdbc.MysqlIO.reuseAndReadPacket(MysqlIO.java:2351)
        at com.mysql.jdbc.MysqlIO.checkErrorPacket(MysqlIO.java:2862)
        at com.mysql.jdbc.MysqlIO.sendCommand(MysqlIO.java:1571)
        at com.mysql.jdbc.MysqlIO.sqlQueryDirect(MysqlIO.java:1666)
        at com.mysql.jdbc.Connection.execSQL(Connection.java:2988)
        at com.mysql.jdbc.Connection.execSQL(Connection.java:2917)
        at com.mysql.jdbc.Statement.executeQuery(Statement.java:824)
        at com.openexchange.webmail.data.WebmailUserSettings.loadUserSettings(WebmailUserSettings.java:675)
        at com.openexchange.webmail.Management.onCheckUserAuth(Management.java:1146)
        at com.openexchange.thread.ComfireThread.validateSession(ComfireThread.java:494)
        at com.openexchange.thread.ComfireThread.run(ComfireThread.java:156)
        at java.lang.Thread.run(Thread.java:534)


** END NESTED EXCEPTION **
-----


So I redit things with postgresql, but for some reason some stuff (like the Groupware Settings under Setup) tries to connect to the wrong DB.  Guess it should be patched, but I do not have the time currently.  Workaround that seems to work though is:


-----
+
+       OX_DBNAME=${OX_DBNAME-"open_xchange"}
+       OX_DBUSER=${OX_DBUSER-"open_xchange"}
+       # Guess base on the installed config but only if it exists
+       if [[ -e "${ROOT}/etc/open-xchange/admintools.conf" ]] ; then
+               local temp_var
+
+               temp_var=$(get_oxvar DEFAULT_SQL_DB)
+               [[ -n ${temp_var} ]] && OX_DBNAME=${temp_var}
+
+               temp_var=$(get_oxvar DEFAULT_SQL_USER)
+               [[ -n ${temp_var} ]] && OX_DBUSER=${temp_var}
+       fi
+       # With postgresql at least, it checks for some settings in the default
+       # db name at configure time, and not the one specified in admintools.conf,
+       # so specify our default name here as stupid workaround.  Should rather
+       # though check why it insists on using the wrong db name though (going to
+       # Setup->Groupware_Settings errors out).
+       myconf="${myconf} --with-dbname=${OX_DBNAME}"
+       myconf="${myconf} --with-dbuser=${OX_DBUSER}"
+
Comment 294 Wulf Krueger (RETIRED) gentoo-dev 2006-06-06 10:15:43 UTC
comment #292:

I thought that had been done in the ebuild. Maybe it got lost at some point because my permissions are correct both in my testing and my productive environments. It should be sufficient, though, to have "tomcat:apache", u+rw and g+r for files and u+rw and g+rx for directories. At least that's what works for me.

comment #293:

IMHO there's currently no responsible way to support MySQL in this ebuild because upstream hasn't committed itself to develop and support Open-Xchange with MySQL as the underlying database.

The patches are from OX community members but so far with every new release there were new issues with MySQL or some of the patches didn't get included.

Considering that an ebuild including MySQL support might be used in a production environment, I for one wouldn't feel comfortable with the current situation.
Comment 295 Mark 2006-06-19 23:01:21 UTC
thanks for including smartsieve :) I just had to include imap support in the php build to get it to work. I thought I had it already as web mail works ok.

The only problem I have encountered is that the "move to folder" option has an empty list of available folders. I used smartsieve separately before and it worked ok. The only thing I can think of is that the imap server is on a separate server now and not running locally. Has anyone else experienced this?

thanks
Comment 296 Martin Schlemmer (RETIRED) gentoo-dev 2006-06-20 00:34:20 UTC
(In reply to comment #295)
> thanks for including smartsieve :) I just had to include imap support in the
> php build to get it to work. I thought I had it already as web mail works ok.
> 

Yup, I am sure I added to the post message to have php with USE=imap among things.

> The only problem I have encountered is that the "move to folder" option has an
> empty list of available folders. I used smartsieve separately before and it
> worked ok. The only thing I can think of is that the imap server is on a
> separate server now and not running locally. Has anyone else experienced this?
> 

Works here, but then its on the same box, so not sure, sorry.
Comment 297 Mark 2006-06-24 12:33:46 UTC
Hi there,


I still havent had a chance to figure out the "file into" problem but was wondering if you could adjust the ebuild to fix another issue. When ever I do a fresh install I need to re-edit the oxuserminconfig.properties file. This has a reference to the ldap server and the database server as well I think. It assume that they are local. My ldap server is remote so I need to update the LDAP_SERVER setting each time.

thanks
Comment 298 Martin Schlemmer (RETIRED) gentoo-dev 2006-07-04 12:22:05 UTC
Created attachment 90889 [details]
open-xchange-0.8.2-r1.ebuild

Add support for tomcat-5.5.  Seems to be working fine here.
Comment 299 ra 2006-07-12 02:00:13 UTC
Hello,
I tried
emerge =open-xchange-0.8.2-r1


jarwebdav:
      [jar] Building jar: /var/tmp/portage/open-xchange-0.8.2-r1/work/open-xchange-0.8.2/lib/webdav.jar

umin_war:

BUILD FAILED
/var/tmp/portage/open-xchange-0.8.2-r1/work/open-xchange-0.8.2/build.xml:98: /usr/share/jdbc3-postgresql/lib/jdbc3-postgresql.jar:/usr/share/jdbc3-postgresql/lib not found.

Total time: 22 seconds
make[1]: *** [java] Error 1
make[1]: Leaving directory `/var/tmp/portage/open-xchange-0.8.2-r1/work/open-xchange-0.8.2/javabuild'
make: *** [all-recursive] Error 1

!!! ERROR: www-apps/open-xchange-0.8.2-r1 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_compile
  ebuild.sh, line 939:   Called src_compile
  open-xchange-0.8.2-r1.ebuild, line 312:   Called die

is there anybody who can helps me?

thanx for developers,
rainer
Comment 300 Martin Schlemmer (RETIRED) gentoo-dev 2006-07-12 07:31:56 UTC
You need dev-java/jdbc3-postgresql (or might need to rebuild it or something for the new java-config stuff).  Other than that I am not too clued up on java.
Comment 301 ra 2006-07-13 00:50:47 UTC
(In reply to comment #300)
> You need dev-java/jdbc3-postgresql (or might need to rebuild it or something
> for the new java-config stuff).  Other than that I am not too clued up on java.
> 
to date, gentoo offers stable dev-java/jdbc3-postgresql-7.3.
open-xchange-0.8.2-r1.ebuild depends on jdbc3-postgresql-7.4.5 and that's why I installed at first the masked jdbc3-postgresql-8.1_x version and changed relevant dependency in ebuild.
With downgrade of jdbc3-postgresql-7.3 the emerging works! Now I can go further to configure an test ....
Comment 302 matt 2006-07-24 20:24:21 UTC
I wasted a bit of time trying to get things working. Ended up that the problem was the BASE variable in /etc/openldap.conf had a space between the entries.  This caused add*_ox commands to fail.  Anyone else run into this?
Comment 303 Wulf Krueger (RETIRED) gentoo-dev 2006-07-24 22:32:04 UTC
If I read RFC 4514 (Section 3) correctly there must not be spaces in the string representation of a DN. 
Comment 304 matt 2006-07-25 08:43:07 UTC
Hmmm the openldap, ldap.conf file ships with a space in it....  (I noticed the gentoo tutorial for open-xchange states that there must not be a space, but that's it).  Don't non-gentoo people hit this issue?  Why does openldap ship that way?
Comment 305 Wulf Krueger (RETIRED) gentoo-dev 2006-07-25 09:28:45 UTC
(In reply to comment #298)
> Created an attachment (id=90889) [edit]
> open-xchange-0.8.2-r1.ebuild

Hi Martin, I noticed you added net-mail/vacation as a RDEPEND if the "sieve" USE flag is set. net-mail/vacation blocks sendmail (collision issue) and that's not really healthy on a sendmail-based server. :-)

"sieve? ( dev-lang/php dev-php/PEAR-Crypt_RC4 net-mail/vacation )"

I didn't see any dependency on net-mail/vacation in SmartSieve's docs and code but maybe I'm missing something here?
Comment 306 Martin Schlemmer (RETIRED) gentoo-dev 2006-07-25 10:12:03 UTC
Well, either way vacation is handled by cyrus-imap's sieve extension or whatever other mta you use that are sieve enabled.  I will be honest if I say I did not research this too well, as cyrus's documentation on sieve seems to be fairly lacking, and that it needing the vacation binary might have been a fault my side.  If its truely not needed, I am sure the maintainer will accept patches.
Comment 307 Wulf Krueger (RETIRED) gentoo-dev 2006-08-14 13:47:08 UTC
Created attachment 94269 [details]
open-xchange-0.8.2_p1.ebuild

A new minor OX version has recently been published that fixes a security vulnerability:

+ Changes with OPEN-XCHANGE 0.8.2-1 (2006-07-25)
+
+         *) Bugfix ID#2921: Security: Remote takeover of browser sessions

There have been no changes in the database. Updating should require nothing more than just emerging.
Comment 308 Wulf Krueger (RETIRED) gentoo-dev 2006-08-14 14:07:28 UTC
(In reply to comment #307)
> Created an attachment (id=94269) [edit]
> open-xchange-0.8.2_p1.ebuild

I forgot to mention that I've removed the dependency on net-mail/vacation.

After extensive research in the RFC archives, Sieve docs, other distros, etc. and finally temporarily removing my sendmail vacation binary and testing a vacation Sieve script, I'm now sure that the Sieve vacation extension doesn't need an external vacation tool.

I haven't tested the MySQL stuff.
Comment 309 Kai Ruhnau 2006-08-31 02:41:18 UTC
At least for Postgresql the emerge --config misses some configuration variables.

For postgresql the sed-line for SQL_SERVER_GROUPWARE_DATABASE_NAME should read some like

    sed -i "s|SQL_SERVER_GROUPWARE_DATABASE_URL=.*|SQL_SERVER_GROUPWARE_DATABASE_URL=jdbc:postgresql://${OX_DBHOST}/${OX_DBNAME}|g" ${T}/ox_war/WEB-INF/classes/oxuserminconfig.properties

I had to do this little hacking to get open-xchange running (Setup | Groupware Setting in this case).
Comment 310 Markus Ullmann (RETIRED) gentoo-dev 2006-10-30 08:42:21 UTC
latest ebuild contains these two:
        doins ${FILESDIR}/ox_reminder.sql
        newins ${FILESDIR}/${PN}-htaccess .htaccess

but they are nowhere near this bug. can someone post them?
Comment 311 Wulf Krueger (RETIRED) gentoo-dev 2006-10-30 22:51:59 UTC
Created attachment 100851 [details]
ox_reminder.sql

ox_reminder.sql from the Portage tree. (Still the correct version.)
Comment 312 Wulf Krueger (RETIRED) gentoo-dev 2006-10-30 22:55:38 UTC
Created attachment 100852 [details]
open-xchange-htaccess

As requested. I'm aware that both files are basically redundant here because they're both in the Portage tree but if a Gentoo dev has problems finding them, I guess it's even harder for users. :)
Comment 313 Markus Ullmann (RETIRED) gentoo-dev 2006-11-01 10:16:23 UTC
ha lol ;) as this bug was still open, I didn't check the tree, my bad then
Comment 314 Tiziano Müller gentoo-dev 2006-12-22 00:36:28 UTC
I'm taking over the maintenance of this since I'm using/I have to use it :)
Currently I'm reworking the ebuild completely in my dev-overlay.

The new ebuild can be checked out via SVN from http://overlays.gentoo.org/svn/dev/dev-zero/testing/www-apps/open-xchange
I've setup a "what's new" page here: http://overlays.gentoo.org/dev/dev-zero/wiki/OpenXchange

Please don't use this overlay in production.

You can freely mail me suggestions, ideas, wishes etc. or ping me on irc.
Comment 315 Michael Ditum 2007-01-03 12:14:10 UTC
I just tried the latest svn overlay (revision 47) and got the following error message when compiling open-xchange-serverpack.

config.status: executing depfiles commands
/usr/local/portage/www-apps/open-xchange-serverpack/open-xchange-serverpack-0.8.2.1.ebuild: line 157: java-pkg-2_src_compile: command not found
make: Entering directory `/var/tmp/portage/open-xchange-serverpack-0.8.2.1/work/open-xchange-0.8.2-1/javabuild'
/opt/sun-jdk-1.5.0.08/bin/javah -jni -classpath ../lib/comfiretools.jar -o ../src/misc/ssl/com_openexchange_ssl_SSLCtx.h com.openexchange.ssl.SSLCtx
error: cannot access com.openexchange.ssl.SSLCtx
file com/openexchange/ssl/SSLCtx.class not found
javadoc: error - Class com.openexchange.ssl.SSLCtx not found.
Error: No classes were specified on the command line.  Try -help.
make: *** [misc] Error 15
make: Leaving directory `/var/tmp/portage/open-xchange-serverpack-0.8.2.1/work/open-xchange-0.8.2-1/javabuild'

!!! ERROR: www-apps/open-xchange-serverpack-0.8.2.1 failed.
Call stack:
  ebuild.sh, line 1546:   Called dyn_compile
  ebuild.sh, line 937:   Called src_compile
  open-xchange-serverpack-0.8.2.1.ebuild, line 159:   Called die

!!! emake failed
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.5  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.5.0.08"
JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
and of course, the output of emerge --info

I'll post my emerge --info as an attachment in a second...
Comment 316 Michael Ditum 2007-01-03 12:15:50 UTC
Created attachment 105319 [details]
emergeInfo for open-xchange-serverpack issue
Comment 317 Erik Ittmann 2007-01-17 09:32:27 UTC
I just tried the latest svn overlay (Checked out revision 54.) and got the following error message when compiling open-xchange-serverpack.

!!! ERROR: www-apps/open-xchange-serverpack-0.8.2.1 failed.
Call stack:
  ebuild.sh, line 1618:   Called dyn_unpack
  ebuild.sh, line 755:   Called qa_call 'src_unpack'
  environment, line 5233:   Called src_unpack
  open-xchange-serverpack-0.8.2.1.ebuild, line 82:   Called epatch '/usr/local/portage/www-apps/open-xchange-serverpack/files/open-xchange-serverpack-0.8.2.1-mysql.patch'
  eutils.eclass, line 341:   Called die

!!! Failed Patch: open-xchange-serverpack-0.8.2.1-mysql.patch!
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/www-apps/open-xchange-serverpack-0.8.2.1/temp/build.log'.

!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.5  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.5.0.10"
JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
and of course, the output of emerge --info
!!! This ebuild is from an overlay: '/usr/local/portage

https://itdinges.mine.nu/open-xchange-serverpack-0.8.2.1-mysql.patch-13826.out 
https://itdinges.mine.nu/build.log
for additional information
Comment 318 AnViar 2007-02-04 08:26:23 UTC
wrong path in open-xchange-0.8.2-mysql.patch
http://oleg.cinet.ru/open-xchange-0.8.2-mysql.patch-20337.out
Please check it.
('./open-xchange-0.8.2-origin' in patch must be './open-xchange-0.8.2')
Comment 319 Brian Raymond 2007-02-12 00:52:42 UTC
When installing current ebuild on fresh system it bails on  dbc-postgresql-8.2_p504 (USE="java5") because junit doesn't get picked up as a dependency. emerging junit allows the build to continue.
Comment 320 andreas 2007-04-12 16:56:08 UTC
Hi, i try to install 0.8.6.0_beta on a amd64

this is what i get...

* Failed Patch: ox-0.8.6.0_beta-wrong_jdbc_usage.patch !
 *  ( /usr/portage/local/layman/dev-zero/www-apps/open-xchange-serverpack/files/ox-0.8.6.0_beta-wrong_jdbc_usage.patch )
 *
 * Include in your bugreport the contents of:
 *
 *   /var/tmp/portage/www-apps/open-xchange-serverpack-0.8.6.0_beta/temp/ox-0.8.6.0_beta-wrong_jdbc_usage.patch-4470.out


!!! ERROR: www-apps/open-xchange-serverpack-0.8.6.0_beta failed.
Call stack:
  ebuild.sh, line 1614:   Called dyn_unpack
  ebuild.sh, line 751:   Called qa_call 'src_unpack'
  environment, line 5650:   Called src_unpack
  open-xchange-serverpack-0.8.6.0_beta.ebuild, line 91:   Called epatch '/usr/portage/local/layman/dev-zero/www-apps/open-xchange-serverpack/files/ox-0.8.6.0_beta-wrong_jdbc_usage.patch'
  eutils.eclass, line 341:   Called die

!!! Failed Patch: ox-0.8.6.0_beta-wrong_jdbc_usage.patch!
!!! If you need support, post the topmost build error, and the call stack if relevant.
!!! A complete build log is located at '/var/tmp/portage/www-apps/open-xchange-serverpack-0.8.6.0_beta/temp/build.log'.

!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.5  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.5.0.11"
JAVACFLAGS="-source 1.5 -target 1.5" COMPILER=""
and of course, the output of emerge --info

#######################################################################

# emerge --info
Portage 2.1.2.2 (default-linux/amd64/2006.1/no-multilib, gcc-4.1.1, glibc-2.5-r0, 2.6.19-gentoo-r5 x86_64)
=================================================================
System uname: 2.6.19-gentoo-r5 x86_64 AMD Athlon(tm) 64 Processor 3700+
Gentoo Base System release 1.12.9
Timestamp of tree: Thu, 12 Apr 2007 04:00:01 +0000
ccache version 2.4 [enabled]
dev-java/java-config: 1.3.7, 2.0.31-r5
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     2.4-r6
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.61
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.15-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r2
ACCEPT_KEYWORDS="amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/qmail/alias /var/qmail/control /var/vpopmail/domains /var/vpopmail/etc"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/php/apache1-php5/ext-active/ /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=athlon64 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks metadata-transfer sandbox sfperms strict"
GENTOO_MIRRORS="ftp://sunsite.cnlab-switch.ch/mirror/gentoo/ ftp://pandemonium.tiscali.de/pub/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --filter=H_**/files/digest-*"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/dev-zero /usr/portage/local/layman/sunrise /usr/portage/local/layman/webapps-experimental"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="amd64 apache2 berkdb bitmap-fonts clamav cli cracklib crypt ctype cups curl curlwrappers dri dynamicplugin fastcgi fortran ftp gd gdbm gpm iconv imagemagick imap ipv6 isdnlog java5 jpeg ldap libg++ libwww lm_sensors mailwrapper midi mime mysql nagios ncurses nls nptl nptl-only nptlonly pam pcre perl php png ppds pppd python readline reflection session sockets spamassassin spell spl sqlite ssl stream tcl tcpd threads tokenizer truetype-fonts type1-fonts unicode xinetd xml xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mulaw multi null plug rate route share shm softvol" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="apm ark ati chips cirrus cyrix dummy fbdev glint i128 i810 mga neomagic nv rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS


Comment 321 Tiziano Müller gentoo-dev 2007-04-13 19:16:49 UTC
I'm sorry to disappoint you, but open-xchange has been punted from the tree.
This is because jdbc3-postgresql had to be dropped and while I could patch 0.8.2.1 to use jdbc-postgresql, I wasn't able to do the same with 0.8.6_beta since upstream seems to not care about jdbc-compatibility.
Well, I'll see that I commit a version of jdbc3-postgresql to my overlay so you can use the version there.
Together with Philantrop, I'll start to work on an ebuild for the new open-xchange "hyperion" which is currently only available in CVS.
Please contact me if you think you can/want participate: Since we'll do the work in an overlay, there is a chance for svn-access for contributors :)